//首页
numapp.controller('contentCtrl', function ($scope,$rootScope,$state, $http, $location,$timeout, accessService, otherService,  localStorageService,authService) {
    share_params.title = '强烈推荐养生音乐';
    share_params.description = '养生音乐，听出好身体';
    share_params.imageUrl = 'http://admin.yunshi360.net/Upload/music/logo.png';
    //访问量
    accessService.addappnum('首页');

    $scope.showFlag=true;
    //切换tab
    $scope.changeTab = function () {
        if(!authService.authentication.isAuth){
            $('#loginTips1').fadeIn(200);
        }else{
            $location.path("content");
        }
    }

    //拿个人信息
    var user = localStorageService.get('userinfo');
    if (user && user.userinfo) {
        $scope.userinfos = user.userinfo;
        $scope.userid=$scope.userinfos.userid;
        $scope.username=$scope.userinfos.name;
        share_params.basePath='http://www.ttnzd.cn/app_ysMusic/sharepage/sharepage.html?userid='+$scope.userid;
        //微信登录绑定显示判断
        if ($scope.userinfos.wechatbind && $scope.userinfos.phoneNumberConfirmed) {
            $scope.sanfangBox = false;
            $scope.sanfang_bind = '';
        }
        else if (!$scope.userinfos.wechatbind) {
            $scope.sanfangBox = true;
            $scope.sanfang_bind = '绑定微信';
            //调用微信接口
        }
        else if (!$scope.userinfos.phoneNumberConfirmed) {
            $scope.sanfangBox = true;
            $scope.sanfang_bind = '绑定手机';
        }
    }else{
        share_params.basePath='http://www.ttnzd.cn/app_ysMusic/sharepage/sharepage.html';
        $scope.sanfangBox = false;
    }

    //动态设置更多产品
    var moreAppUrl=allurl+"api/version/moreapps/others";
    $scope.version=app_paramas.app_version;
    $http.post(moreAppUrl,{"project":"养生音乐","version":$scope.version}).success(function(response){
        $scope.modal=response.response.modal;
        $scope.jumpLink=function(jumpUrl){
            //window.location.href=jumpUrl;
            accessService.weblink(jumpUrl);
        };
    });

    //在网页中，不显示分享
    if (!app_paramas.inApp) {
        $('.goshare').hide();
    }
    //第一次进app,显示引导和登录提示，以后进来就不用
    $scope.firstInApp=function(){
        localStorageService.set("guideShow",true);
        // $(".introduce").hide();
        // $(".content").show();
        $scope.showFlag=true;
        if(!authService.authentication.isAuth){
            $('#loginTips').fadeIn(200);
        }    
    }
    if(!localStorageService.get("guideShow")){
        // $(".introduce").show();
        // $(".content").hide();
        $scope.showFlag=false;
    }else{
        // $(".introduce").hide();
        // $(".content").show();
        $scope.showFlag=true;
    }
    
    var musicUrl=allurl+"api/music/baseinfo";
    $http.get(musicUrl).success(function(response){
        //console.log(response);
        $scope.response=response.response;
        $scope.type=$scope.response.type;
        $scope.scores=$scope.response.items;
        //雷达图
        var radar = document.getElementById("radar");
        var radar_Chart = echarts.init(radar);
        var radar_app = {};
        var radar_type=[{ name: '金', max: 500},{ name: '土', max: 500},{ name: '火', max: 500},
            { name: '木', max: 500},{ name: '水', max: 500}];
        var radar_data=$scope.scores;//[500,500,500,100,500]
        var radar_option = null;
        radar_option = {
            radar: {
                // shape: 'circle',
                indicator: radar_type,
                splitArea: {//坐标轴在 grid 区域中的分隔区域
                    areaStyle: {
                        color: 'rgba(255,255,255,0.3)'
                    }
                },
                axisLine: {//坐标轴轴线相关设置
                    show:false,
                    lineStyle: {
                        color: '#000'
                    }
                },
                splitLine:{//坐标轴在 grid 区域中的分隔线。
                    show:true,
                    lineStyle:{
                        color: '#fff'
                    }
                }
            },
            series: [{//系列列表
                type: 'radar',
                areaStyle: {
                    normal: {
                        color:"#68CE8F"
                    }
                },
                lineStyle: {//线条样式
                    normal: {
                        color:'#68CE8F',
                        width:1,
                    }
                },
                itemStyle:{
                    normal:{
                        borderWidth:0,
                        opacity:0
                    }
                },
                data : [
                    {
                        value : radar_data,
                    }
                ]
            }]
        };
        if (radar_option && typeof radar_option === "object") {
            radar_Chart.setOption(radar_option, true);
        }
        $scope.blurBg = {
            "background": "url("+$scope.response.image_cover+") no-repeat center",
            "background-size":"100% 100%"
        };
    });
    // $scope.shareNumber=function(){
    //     $state.go('riqian',{id:'2_5_1520265600000'},{ reload: true });
    // }

    //修改头像
    $scope.updateimg = function () {
        $scope.imgsource=imgsource;
        var url = allurl + "api/accounts/postPic";
        if ($scope.imgsource != "") {
            $http.post(url, { strpic: $scope.imgsource }).success(function (data) {
                if (data.status == '0') {
                    //保存用户信息
                    localStorageService.set('userinfo', { userinfo: data.response });
                    authService.authentication.name = data.response.name;
                    authService.authentication.headPicture = data.response.headPicture;
                    authService.authentication.userName = data.response.userName;
                    //返回上个页面
                    //history.back(-1);
                    $(".htmleaf-container").hide();
                } else {
                    $scope.imgTip = "您的登录凭证已失效，将自动为您跳转到登录页面";
                    $location.path('/loginRegister/login');
                }
            }).error(function (data, statue) {
                $scope.imgTip = "上传失败";
                alert($scope.imgTip);
            });
        }else{
            $(".htmleaf-container").hide();
        }
    }
    //绑定微信
    $scope.sanfang = function () {
        //判断是否有绑定微信或者手机
        //console.log($scope.userinfos)
        if (!$scope.userinfos.wechatbind) {
            console.log('去微信绑定');
            //调用微信接口
            Wechat.isInstalled(function (installed) {
                if (!installed) {
                    alert("请先安装微信.");
                    return false;
                }
                else {
                    var scope = "snsapi_userinfo";
                    Wechat.auth(scope, function (response) {
                        //alert(JSON.stringify(response));
                        //alert(response.code);
                        // you may use response.code to get the access token.
                        //返回格式：{"code":"","state":"wechat","country":"","lang":""}
                        $('#wexinBindToast').fadeIn(100);
                        $scope.bindmessage = "正在绑定中";
                        var url = allurl + "api/accounts/bindthird";
                        $http.post(url, { application: "YSYY", thirdparty: "Wechat", code: response.code },
                            { headers: { 'Content-Type': 'application/json', "Authorization": 'Bearer ' + localStorageService.get('authorizationData').token } }
                            ).success(function (data) {
                                // 成功的话，返回token ，格式与登录一样
                                $scope.logmessage = "绑定成功";
                                $scope.bindmessage = "绑定成功";
                                localStorageService.set('userinfo', { userinfo: date.response });

                                $timeout(function () {
                                    $('#wexinBindToast').fadeOut(100);
                                }, 3000);
                                //手机登录的标志
                                $rootScope.loginBy_wechart = true;
                                $location.path('/content');
                                //更新页面的信息
                                //                          $scope.authentication = authService.authentication;                         
                                $scope.$apply();
                            }).error(function (data) {
                                $scope.loginmsg = true;
                                $scope.bindmessage = "绑定失败";
                                $scope.logmessage = err.error_description;
                                //          layer.msg('登录失败')
                                //用户错误提示框3秒后自动消失
                                $timeout(function () {
                                    $('#wexinBindToast').fadeOut(100);
                                    $scope.loginmsg = true;
                                    $scope.logmessage = "";
                                }, 3000);
                            });
                    }, function (reason) {
                        layer.msg("Failed:获取授权失败" + reason);
                    });
                }
            });

        } else if (!$scope.userinfos.phoneNumberConfirmed) {
            $location.path('/bind_other');
        }
    }
    //注销
    $scope.logOut = function () {
        authService.logOut();
        $state.go("musicEffect", {}, { reload: true });
    }
});
//功效
numapp.controller('musicEffectCtrl', function ($scope,$rootScope,$state, $http, $location,$timeout, accessService, otherService,  localStorageService,authService) {
    share_params.title = '强烈推荐养生音乐';
    share_params.description = '养生音乐，听出好身体';
    share_params.imageUrl = 'http://admin.yunshi360.net/Upload/music/logo.png';
    //访问量
    accessService.addappnum('首页');

    //切换tab
    $scope.changeTab = function () {
        if(!authService.authentication.isAuth){
            setTimeout(function(){
                $('#loginTips1').fadeIn(200);
            },300);
        }else{
            $location.path("content");
        }
    }

    //拿个人信息
    var user = localStorageService.get('userinfo');
    if (user && user.userinfo) {
        $scope.userinfos = user.userinfo;
        $scope.userid=$scope.userinfos.userid;
        $scope.username=$scope.userinfos.name;
        share_params.basePath='http://www.ttnzd.cn/app_ysMusic/sharepage/sharepage.html?userid='+$scope.userid;
        //微信登录绑定显示判断
        if ($scope.userinfos.wechatbind && $scope.userinfos.phoneNumberConfirmed) {
            $scope.sanfangBox = false;
            $scope.sanfang_bind = '';
        }
        else if (!$scope.userinfos.wechatbind) {
            $scope.sanfangBox = true;
            $scope.sanfang_bind = '绑定微信';
            //调用微信接口
        }
        else if (!$scope.userinfos.phoneNumberConfirmed) {
            $scope.sanfangBox = true;
            $scope.sanfang_bind = '绑定手机';
        }
    }else{
        share_params.basePath='http://www.ttnzd.cn/app_ysMusic/sharepage/sharepage.html';
        $scope.sanfangBox = false;
    }

    //动态设置更多产品
    var moreAppUrl=allurl+"api/version/moreapps/others";
    $scope.version=app_paramas.app_version;
    $http.post(moreAppUrl,{"project":"数你行","version":$scope.version}).success(function(response){
        $scope.modal=response.response.modal;
        $scope.jumpLink=function(jumpUrl){
            //window.location.href=jumpUrl;
            accessService.weblink(jumpUrl);
        };
    });

    //在网页中，不显示分享
    if (!app_paramas.inApp) {
        $('.goshare').hide();
    }

    var menuListUrl=allurl+"api/music/menuList";
    $http.get(menuListUrl).success(function(response){
        //console.log(response);
        $scope.musics=response.response.musics;
        $scope.items=response.response.items;
    });
    $scope.$on('ngRepeatFinished', function (ngRepeatFinishedEvent) {
        var swiper = new Swiper('.swiper-container-music', {
            pagination: '.swiper-pagination',
            paginationClickable: true,
            //initialSlide: 1,//默认显示第几个
            onSlideChangeStart: function(swiper){
                //console.log(swiper.activeIndex);
                //$(".swiper-container-todo .swiper-slide").eq(swiper.activeIndex).addClass("change-style").siblings().removeClass("change-style");
           },
        });
    });
    //修改头像
    $scope.updateimg = function () {
        $scope.imgsource=imgsource;
        var url = allurl + "api/accounts/postPic";
        if ($scope.imgsource != "") {
            $http.post(url, { strpic: $scope.imgsource }).success(function (data) {
                if (data.status == '0') {
                    //保存用户信息
                    localStorageService.set('userinfo', { userinfo: data.response });
                    authService.authentication.name = data.response.name;
                    authService.authentication.headPicture = data.response.headPicture;
                    authService.authentication.userName = data.response.userName;
                    //返回上个页面
                    //history.back(-1);
                    $(".htmleaf-container").hide();
                } else {
                    $scope.imgTip = "您的登录凭证已失效，将自动为您跳转到登录页面";
                    $location.path('/loginRegister/login');
                }
            }).error(function (data, statue) {
                $scope.imgTip = "上传失败";
                alert($scope.imgTip);
            });
        }else{
            $(".htmleaf-container").hide();
        }
    }
    //绑定三方
    $scope.sanfang = function () {
        //判断是否有绑定微信或者手机
        //console.log($scope.userinfos)
        if (!$scope.userinfos.wechatbind) {
            console.log('去微信绑定');
            //调用微信接口
            Wechat.isInstalled(function (installed) {
                if (!installed) {
                    alert("请先安装微信.");
                    return false;
                }
                else {
                    var scope = "snsapi_userinfo";
                    Wechat.auth(scope, function (response) {
                        //alert(JSON.stringify(response));
                        //alert(response.code);
                        // you may use response.code to get the access token.
                        //返回格式：{"code":"","state":"wechat","country":"","lang":""}
                        $('#wexinBindToast').fadeIn(100);
                        $scope.bindmessage = "正在绑定中";
                        var url = allurl + "api/accounts/bindthird";
                        $http.post(url, { application: "YSYY", thirdparty: "Wechat", code: response.code },
                            { headers: { 'Content-Type': 'application/json', "Authorization": 'Bearer ' + localStorageService.get('authorizationData').token } }
                            ).success(function (data) {
                                // 成功的话，返回token ，格式与登录一样
                                $scope.logmessage = "绑定成功";
                                $scope.bindmessage = "绑定成功";
                                localStorageService.set('userinfo', { userinfo: date.response });
                                $timeout(function () {
                                    $('#wexinBindToast').fadeOut(100);
                                }, 3000);
                                //手机登录的标志
                                $rootScope.loginBy_wechart = true;
                                $location.path('/musicEffect');
                                //更新页面的信息
                                //                          $scope.authentication = authService.authentication;                         
                                $scope.$apply();
                            }).error(function (data) {
                                $scope.loginmsg = true;
                                $scope.bindmessage = "绑定失败";
                                $scope.logmessage = err.error_description;
                                //          layer.msg('登录失败')
                                //用户错误提示框3秒后自动消失
                                $timeout(function () {
                                    $('#wexinBindToast').fadeOut(100);
                                    $scope.loginmsg = true;
                                    $scope.logmessage = "";
                                }, 3000);
                            });
                    }, function (reason) {
                        layer.msg("Failed:获取授权失败" + reason);
                    });
                }
            });

        } else if (!$scope.userinfos.phoneNumberConfirmed) {
            $location.path('/bind_other');
        }
    }
    //注销
    $scope.logOut = function () {
        authService.logOut();
        $state.go("musicEffect", {}, { reload: true });
    }
});
//注册后完善信息
numapp.controller('collectInfoCtrl', function ($scope,$rootScope,$state, $http, $location,$timeout, accessService, otherService,  localStorageService,authService) {
    $rootScope.appTitle = '';
    //拿个人信息
    var user = localStorageService.get('userinfo');
    if (user && user.userinfo) {
        $scope.userinfos = user.userinfo;
    }else {
        $location.path('/loginRegister/login');
    }
    $scope.changeinfo = {
        //基本资料
        Password: "Password",
        ConfirmPassword: "Password",
        PhoneNumber: $scope.userinfos.phoneNumber,
        Sex: "男",
        Blood: $scope.userinfos.blood,
        Birthday: "",
        Hour: $scope.userinfos.hourIndex,
        HeadPicture: '',
        Vcode: '',
        Name: "",
    };
    //选择生日
    // var calenderday = new Date($scope.changeinfo.Birthday);
    // var calender = new DateSelector(document.getElementById("iYear"), document.getElementById("iMonth"), document.getElementById("iDay"),calenderday.getFullYear(), calenderday.getMonth() + 1, calenderday.getDate(), document.getElementById("Calendar"), 1);
    var calender = new DateSelector(document.getElementById("iYear"), document.getElementById("iMonth"), document.getElementById("iDay"),
        1985, 1, 1, document.getElementById("Calendar"), 1);
    $('#Calendar0').click(function (e) {
        if (calender.selCalendar.selectedIndex==1) {
            calender.selCalendar.selectedIndex = 0;
            calender.Onchange();
        }
    });
    $('#Calendar1').click(function (e) {
        if (calender.selCalendar.selectedIndex == 0) {
            calender.selCalendar.selectedIndex = 1;
            calender.Onchange();
        }
    });
    $scope.selBirthday=function(){
        //日期值都是传公历数据，如果是农历调用lunar2Solar方法转换为公历
        var value = "";
        if (calender.selCalendar.selectedIndex == 0) {
            var solar = lunar2Solar(((new Date()).getFullYear() - calender.selYear.selectedIndex), (calender.selMonth.selectedIndex + 1), (calender.selDay.selectedIndex + 1));
            value = solar.getFullYear() + "-" + (solar.getMonth() + 1) + "-" + solar.getDate();
            //页面显示
            $scope.changeBirthday = '农历 ' + ((new Date()).getFullYear() - calender.selYear.selectedIndex) + "-" + (calender.selMonth.value) + "-" + (calender.selDay.selectedIndex + 1);
        } else {
            value = ((new Date()).getFullYear() - calender.selYear.selectedIndex) + "-" + (calender.selMonth.selectedIndex + 1) + "-" + (calender.selDay.selectedIndex + 1);
            $scope.changeBirthday = '公历 ' + ((new Date()).getFullYear() - calender.selYear.selectedIndex) + "-" + (calender.selMonth.selectedIndex + 1) + "-" + (calender.selDay.selectedIndex + 1);
        }
        //生日=转换过的公历生日，存进数据库
        $scope.changeinfo.Birthday = value;//传入数据库
        // console.log($scope.changeinfo.Birthday);
        // console.log($scope.changeBirthday);
    }
    //确认修改资料
    $scope.upUserMessage="";
    $scope.SaveUsermsg=true;
    $scope.SaveUser=function(){
        $scope.SaveUsermsg=false;
        authService.saveUserinfo($scope.changeinfo).then(function (response) {
            if (response.data.status != '-1') {
                $scope.upUserMessage = '修改成功';
                $scope.SaveUsermsg=true;
                //保存用户信息
                localStorageService.set('userinfo', { userinfo: response.data.response });
                authService.authentication.name = response.data.response.name;
                authService.authentication.userName = response.data.response.userName;
                authService.authentication.headPicture = response.data.response.headPicture;
                //返回上个页面
                //history.back(-1);
                $location.path('/content');
                $timeout(function () {
                    $scope.upUserMessage = "";
                }, 3000);
            }else {
                $scope.upUserMessage = '您的登录凭证已失效，将自动为您跳转到登录页面';
                $location.path('/loginRegister/login');
                $scope.SaveUsermsg=false;
                $timeout(function () {
                    $scope.upUserMessage = "";
                }, 3000);
            }
        },function (response) {
            $scope.signUpmsg = true;
            var errors = [];
            for (var key in response.data.modelState) {
                for (var i = 0; i < response.data.modelState[key].length; i++) {
                    errors.push(response.data.modelState[key][i]);
                }
            }
            $scope.upUserMessage = errors.join('');
        });
    }
});
//音乐专辑列表
numapp.controller('musicAlbumCtrl', function ($scope,$rootScope,$state,$stateParams, $http, $location, accessService, otherService,  localStorageService,authService) {
    //拿个人信息
    var user = localStorageService.get('userinfo');
    if (user && user.userinfo) {
        $scope.userinfos = user.userinfo;
        $rootScope.appTitle = "为"+$scope.userinfos.name+"推荐";
    }else{
        $rootScope.appTitle ="养生音乐";
    }
    $scope.id=$stateParams.id;
    var musicListUrl=allurl+"api/music/musiclist";
    $http.get(musicListUrl,{params:{id:$scope.id}}).success(function(response){
        $scope.response=response.response;//console.log(response);
        $scope.musiclist=$scope.response[0];
        $scope.blurBg = {
            "background": "url("+$scope.response[0][0].imageUrl+") no-repeat center",
            "background-size":"100% 100%"
        };
        $scope.bg_intro = {
            "background": "url("+$scope.response[0][0].bg_intro+") no-repeat center",
            "background-size":"100% 100%"
        };
        $scope.gomusicPlayer=function(id,index){
            $state.go('musicPlayer',{id:id,index:index},{ reload: true });
        }
    });
});
//音乐播放
numapp.controller('musicPlayerCtrl', function ($scope,$rootScope,$state,$stateParams, $http, $location, accessService, otherService,  localStorageService,authService) {
    //拿个人信息
    var user = localStorageService.get('userinfo');
    if (user && user.userinfo) {
        $scope.userinfos = user.userinfo;
        $rootScope.appTitle = "为"+$scope.userinfos.name+"推荐";
    }else{
        $rootScope.appTitle ="养生音乐";
    }
    $scope.id=$stateParams.id;
    $scope.index=$stateParams.index;//console.log($scope.index);
    var musicId=$stateParams.id;

    var musicListUrl=allurl+"api/music/musiclist";
    $http.get(musicListUrl,{params:{id:$scope.id}}).success(function(response){
        $scope.response=response.response;//console.log($scope.response);
        $scope.desc=$scope.response[0][0].desc;
        $scope.current_name=$scope.response[0][0].current_name;
        $scope.current_desc=$scope.response[0][0].desc;
        $scope.blurBg = {
            "background": "url("+$scope.response[0][0].bg_intro+") no-repeat center",
            "background-size":"100% 100%"
        };
    });
    var music_list=[];
    //music_list.push(response.response[0]);
    //播放器设置
    var modeText = ['顺序播放','单曲循环','随机播放','列表循环'];
    var playSong_index=0;//console.log(playSong_index);
    if($scope.index!=''){
        playSong_index=$scope.index;
    }else{
        playSong_index=0;
    }
    //获取歌曲
    $.ajax({
        type:"GET",
        url:musicListUrl,
        data: {id:musicId},
        async: false,//同步
        success:function(response){
            music_list.push(response.response[0]);
             // 去匹配歌曲 用currentid
             // for(var i=1;i<music_list[0].length;i++){
             //  if(music_list[0][i].singId == currentid){
             //      playSong_index = i - 1;
             //  }
             // }
        }
    });
    var mplayer_song1=music_list;

    var player = new MPlayer({
        // 容器选择器名称
        containerSelector: '.mp',
        // 播放列表
        songList: mplayer_song1,
        // 专辑图片错误时显示的图片
        defaultImg: 'img/mplayer_error.png',
        // 自动播放
        autoPlay: true,
        // 播放模式(0->顺序播放,1->单曲循环,2->随机播放,3->列表循环(默认))
        playMode:0,
        // 播放列表
        playList:0,
        // 播放第几首,从0开始
        playSong:playSong_index,
        // 当前歌词距离顶部的距离
        lrcTopPos: 54,
        // 列表模板，用${变量名}$插入模板变量
        listFormat: '<li><span>${name}$</span><span class="pull-right">${time}$</span></li>',
        // 音量滑块改变事件名称
        volSlideEventName:'change',
        // 初始音量
        defaultVolume:80
    }, function () {
        // 绑定事件
        this.on('afterInit', function () {
            //console.log('播放器初始化完成，正在准备播放');
        }).on('beforePlay', function () {
            var $this = this;
            var song = $this.getCurrentSong(true);
            var songName = song.name + ' - ' + song.singer + ' - ' + song.singId;
            $scope.current_name=song.name;//console.log($scope.current_name);
            $scope.current_desc=song.desc;
            $scope.$applyAsync();
            //console.log('即将播放'+songName+'，return false;可以取消播放');
        }).on('timeUpdate', function () {
            var $this = this;
            //console.log('当前歌词：' + $this.getLrc());
        }).on('end', function () {
            var $this = this;
            var song = $this.getCurrentSong(true);
            var songName = song.name + ' - ' + song.singer;
            //console.log(songName+'播放完毕，return false;可以取消播放下一曲');
        }).on('mute', function () {
            var status = this.getIsMuted() ? '已静音' : '未静音';
            //console.log('当前静音状态：' + status);
        }).on('changeMode', function () {
            var $this = this;
            var mode = modeText[$this.getPlayMode()];
            $this.dom.container.find('.mp-mode').attr('title',mode);
            //console.log('播放模式已切换为：' + mode);
            //切换播放模式提示
            $(".playMode-msg").html(mode);
        });
    });
    //$(document.body).append(player.audio); // 测试用
    setEffects(player);
    //返回时暂定音乐，避免点击播放其他音乐会叠加播放音乐
    $scope.pause=function(){
        //返回上一层
        if(window.history.length > 1){
            window.history.go(-1);
        }else{
            player.audio.get(0).pause();
        }
        player.audio.get(0).pause();
    }
    //安卓手机对返回键做处理，返回时暂定音乐，避免点击播放其他音乐会叠加播放音乐
    if (app_paramas.inApp) {
       function musicPause() {
           player.audio.get(0).pause();
       }
       document.addEventListener("backbutton", musicPause, false);
    }
});
//分享
numapp.controller('riqianCtrl', function ($scope,$rootScope,$state, $http, $location,$stateParams, accessService, otherService,  localStorageService,authService) {
    $rootScope.appTitle = '分享';
    //$scope.num_id_timestamp=$stateParams.id;//console.log($scope.num_id_timestamp);
    //访问量
    accessService.addappnum('分享');
    //在网页中，不显示分享
    if (!app_paramas.inApp) {
        $('.share-box').hide();
    }
    //拿个人信息
    var user = localStorageService.get('userinfo');
    if (user && user.userinfo) {
        $scope.userinfos = user.userinfo;
        $scope.uesrname =$scope.userinfos.name;
    }else{
        
    }
    //未登录显示登录弹窗
    // var user = localStorageService.get('userinfo');
    // if (user && user.userinfo) {
    //     $('#confirmModal').modal('hide');
    //     $('.modal-backdrop').removeClass('modal-backdrop');
    // }else{
    //     $('#confirmModal').modal('show');
    //     $('.modal-backdrop').addClass('modal-backdrop');
    // }
    //未登录情况下点击某个，登陆成功后回到哪个页面
    $scope.backhistory = function () {
        $('#confirmModal').modal('hide');
        $('.modal-backdrop').removeClass('modal-backdrop');
        $location.path('/loginRegister/login');
        localStorageService.set('backhistory', { router:'riqian'});
    };
    var musicUrl=allurl+"api/music/baseinfo";
    $http.get(musicUrl).success(function(response){
        console.log(response);
        $scope.response=response.response;
        $scope.type=$scope.response.type;
        $scope.scores=$scope.response.items;
        //雷达图
        var radar = document.getElementById("radar");
        var radar_Chart = echarts.init(radar);
        var radar_app = {};
        var radar_type=[{ name: '金', max: 500},{ name: '土', max: 500},{ name: '火', max: 500},
            { name: '木', max: 500},{ name: '水', max: 500}];
        var radar_data=$scope.scores;//[500,500,500,100,500]
        var radar_option = null;
        radar_option = {
            radar: {
                // shape: 'circle',
                indicator: radar_type,
                splitArea: {//坐标轴在 grid 区域中的分隔区域
                    areaStyle: {
                        color: 'rgba(255,255,255,0.3)'
                    }
                },
                axisLine: {//坐标轴轴线相关设置
                    show:false,
                    lineStyle: {
                        color: '#000'
                    }
                },
                splitLine:{//坐标轴在 grid 区域中的分隔线。
                    show:true,
                    lineStyle:{
                        color: '#fff'
                    }
                }
            },
            series: [{//系列列表
                type: 'radar',
                areaStyle: {
                    normal: {
                        color:"#68CE8F"
                    }
                },
                lineStyle: {//线条样式
                    normal: {
                        color:'#68CE8F',
                        width:1,
                    }
                },
                itemStyle:{
                    normal:{
                        borderWidth:0,
                        opacity:0
                    }
                },
                data : [
                    {
                        value : radar_data,
                    }
                ]
            }]
        };
        if (radar_option && typeof radar_option === "object") {
            radar_Chart.setOption(radar_option, true);
        }
        $scope.mystyle = {
            "background": "url("+$scope.response.image_share+") no-repeat center",
            "background-size":"100% 100%"
        };
    });
    // var url=allurl+"api/luckyV2/share_content";
    // $http.post(url,{"num_id_timestamp":$scope.num_id_timestamp}).success(function(response){
    //     $scope.response=response.response;
    //     $scope.mystyle={
    //         "background" : "url("+$scope.response.image+") center no-repeat",
    //         "background-size" : "100% 100%"
    //     };
    // });
});
//登录注册
numapp.controller('loginRegisterCtrl',function($scope, $rootScope, $http, $state, $location, authService, localStorageService, $stateParams, $timeout, $interval){
    $rootScope.appTitle = '登录/注册';
    //根据路由参数type判断去登录还是注册
    var type=$stateParams.type;
    if(type=="login"){
        $(".loginRegister-tab ul li").eq(0).addClass("cur").siblings().removeClass("cur");
        $(".loginRegister-body .loginRegister-tab-con").eq(0).show().siblings().hide();
    }else{
        $(".loginRegister-tab ul li").eq(1).addClass("cur").siblings().removeClass("cur");
        $(".loginRegister-body .loginRegister-tab-con").eq(1).show().siblings().hide();
    }
    //登录注册区号选择
    $scope.arer_codes=[{ area_code: 'CN',name:'中国大陆',name_en:'China',code: '86'},{area_code: 'HK', name: '中国香港', name_en: 'Hong Kong', code: '852' }
        ,{ area_code:'MO',name:'中国澳门',name_en:'Macau',code: '853'},{area_code: 'TW', name: '中国台湾', name_en: 'Taiwan', code: '886' }
        ,{ area_code:'US',name:'美国',name_en:'United States',code: '1'},{area_code: 'CA', name: '加拿大', name_en: 'Canada', code: '1' }
        ,{ area_code:'FR',name:'法国',name_en:'France',code: '33'},{area_code: 'IT', name: '意大利', name_en: 'Italy', code: '39' }
        ,{ area_code:'GB',name:'英国',name_en:'United Kingdom',code: '44'},{area_code: 'DE', name: '德国', name_en: 'Germany', code: '49' }
        ,{ area_code:'MY',name:'马来西亚',name_en:'Malaysia',code: '60'},{area_code: 'ID', name: '印度尼西亚', name_en: 'Indonesia', code: '62' }
        ,{ area_code:'SG',name:'新加坡',name_en:'Singapore',code: '65'},{area_code: 'TH', name: '泰国', name_en: 'Thailand', code: '66' }
        ,{ area_code:'JP',name:'日本',name_en:'Japan',code: '81' },{area_code: 'KR', name: '韩国', name_en: 'South Korea', code: '82' }
        ,{ area_code:'VN',name:'越南',name_en:'Vietnam',code: '84'},{area_code: 'IN', name: '印度', name_en: 'India', code: '91' }
        ,{ area_code:'BN',name:'文莱',name_en:'Brunei',code: '673'},{area_code:'AL',name:'阿尔巴尼亚',name_en:'Albania',code:'355'}
        ,{area_code:'DZ',name:'阿尔及利亚',name_en:'Algeria',code:'213'},{area_code:'AF',name:'阿富汗',name_en:'Afghanistan',code:'93'},{area_code:'AR',name:'阿根廷',name_en:'Argentina',code:'54'}
        ,{area_code:'AE',name:'阿拉伯 联合酋长国',name_en:'United Arab Emirates',code:'971'},{area_code:'AW',name:'阿鲁巴',name_en:'Aruba',code:'297'}
        ,{area_code:'OM',name:'阿曼',name_en:'Oman',code:'968'}, {area_code:'AZ',name:'阿塞拜疆',name_en:'Azerbaijan',code:'994'}, {area_code:'AC',name:'阿森松岛',name_en:'Ascension Island',code:'247'}
        ,{area_code:'EG',name:'埃及',name_en:'Egypt',code:'20'},{area_code:'ET',name:'埃塞俄比亚',name_en:'Ethiopia',code:'251'}
        ,{area_code:'IE',name:'爱尔兰',name_en:'Ireland',code:'353'},{area_code:'EE',name:'爱沙尼亚',name_en:'Estonia',code:'372'}
        ,{area_code:'AD',name:'安道尔',name_en:'Andorra',code:'376'},{area_code:'AO',name:'安哥拉',name_en:'Angola',code:'244'}
        ,{area_code:'AI',name:'安圭拉',name_en:'Anguilla',code:'1264'},{area_code:'AG',name:'安提瓜 和巴布达',name_en:'Antigua and Barbuda',code:'1268'}
        ,{area_code:'AT',name:'奥地利',name_en:'Austria',code:'43'},{area_code:'AU',name:'澳大利亚',name_en:'Australia',code:'61'}
        ,{area_code:'BB',name:'巴巴多斯',name_en:'Barbados',code:'1246'},{area_code:'PG',name:'巴布亚新几 内亚',name_en:'Papua New Guinea',code:'675'}
        ,{area_code:'BS',name:'巴哈马',name_en:'Bahamas',code:'1242'},{area_code:'PK',name:'巴基斯坦',name_en:'Pakistan',code:'92'}
        ,{area_code:'PY',name:'巴拉圭',name_en:'Paraguay',code:'595'},{area_code:'PS',name:'巴勒斯 坦领土',name_en:'Palestinian Territory',code:'970'}
        ,{area_code:'BH',name:'巴林',name_en:'Bahrain',code:'973'},{area_code:'PA',name:'巴拿马',name_en:'Panama',code:'507'}
        ,{area_code:'BR',name:'巴西',name_en:'Brazil',code:'55'},{area_code:'BY',name:'白俄罗斯',name_en:'Belarus',code:'375'},{area_code:'BM',name:'百慕大群岛',name_en:'Bermuda',code:'1441'}
        ,{area_code:'BG',name:'保加利亚',name_en:'Bulgaria',code:'359'},{area_code:'BJ',name:'贝宁',name_en:'Benin',code:'229'}
        ,{area_code:'BE',name:'比利时',name_en:'Belgium',code:'32'},{area_code:'IS',name:'冰岛',name_en:'Iceland',code:'354'}
        ,{area_code:'PR',name:'波多黎各',name_en:'Puerto Rico',code:'1787'},{area_code:'PL',name:'波兰',name_en:'Poland',code:'48'}
        ,{area_code:'BA',name:'波斯 尼亚和黑塞哥维那',name_en:'Bosnia and Herzegovina',code:'387'},{area_code:'BO',name:'玻利维亚',name_en:'Bolivia',code:'591'}
        ,{area_code:'BZ',name:'伯利兹',name_en:'Belize',code:'501'},{area_code:'BW',name:'博茨瓦纳',name_en:'Botswana',code:'267'}
        ,{area_code:'BQ',name:'博内尔岛，圣尤斯特歇斯和萨巴',name_en:'Bonaire, Sint Eustatius and Saba',code:'599'},{area_code:'BT',name:'不丹',name_en:'Bhutan',code:'975'}
        ,{area_code:'BF',name:'布基纳法索',name_en:'Burkina Faso',code:'226'},{area_code:'BI',name:'布隆迪',name_en:'Burundi',code:'257'}
        ,{area_code:'GQ',name:'赤道几内亚',name_en:'Equatorial Guinea',code:'240'},{area_code:'DK',name:'丹麦',name_en:'Denmark',code:'45'}
        ,{area_code:'TL',name:'东帝汶',name_en:'East Timor',code:'670'},{area_code:'TG',name:'多哥',name_en:'Togo',code:'228'}
        ,{area_code:'DM',name:'多米尼加',name_en:'Dominica',code:'1767'},{area_code:'DO',name:'多明尼加共和国',name_en:'Dominican Republic',code:'1809'}
        ,{area_code:'RU',name:'俄罗斯',name_en:'Russia',code:'7'},{area_code:'EC',name:'厄瓜多尔',name_en:'Ecuador',code:'593'}
        ,{area_code:'FO',name:'法罗群岛',name_en:'Faroe Islands',code:'298'},{area_code:'PF',name:'法属波利尼 西亚',name_en:'French Polynesia',code:'689'}
        ,{area_code:'GF',name:'法属圭亚那',name_en:'French Guiana',code:'594'},{area_code:'PH',name:'菲律宾',name_en:'Philippines',code:'63'}
        ,{area_code:'FJ',name:'斐济',name_en:'Fiji',code:'679'},{area_code:'FI',name:'芬兰',name_en:'Finland',code:'358'}
        ,{area_code:'GM',name:'冈比亚',name_en:'Gambia',code:'220'},{area_code:'CG',name:'刚果共和国',name_en:'Republic Of The Congo',code:'242'}
        ,{area_code:'CD',name:'刚果民主共和国',name_en:'Democratic Republic of the Congo',code:'243'},{area_code:'CO',name:'哥伦比亚',name_en:'Colombia',code:'57'}
        ,{area_code:'CR',name:'哥斯达黎加',name_en:'Costa Rica',code:'506'},{area_code:'GD',name:'格林纳达',name_en:'Grenada',code:'1473'}
        ,{area_code:'GL',name:'格陵兰岛',name_en:'Greenland',code:'299'},{area_code:'GE',name:'格鲁吉亚',name_en:'Georgia',code:'995'}
        ,{area_code:'CU',name:'古巴',name_en:'Cuba',code:'53'},{area_code:'GP',name:'瓜德罗普岛',name_en:'Guadeloupe',code:'590'}
        ,{area_code:'GT',name:'瓜地马拉',name_en:'Guatemala',code:'502'},{area_code:'GU',name:'关岛',name_en:'Guam',code:'1671'}
        ,{area_code:'GY',name:'圭亚那',name_en:'Guyana',code:'592'},{area_code:'KZ',name:'哈萨克斯坦',name_en:'Kazakhstan',code:'7'}
        ,{area_code:'HT',name:'海地',name_en:'Haiti',code:'509'},{area_code:'NL',name:'荷兰',name_en:'Netherlands',code:'31'}
        ,{area_code:'ME',name:'黑山',name_en:'Montenegro',code:'382'},{area_code:'HN',name:'洪都拉斯',name_en:'Honduras',code:'504'}
        ,{area_code:'KI',name:'基里巴斯',name_en:'Kiribati',code:'686'},{area_code:'DJ',name:'吉布提',name_en:'Djibouti',code:'253'}
        ,{area_code:'KG',name:'吉尔吉斯斯坦',name_en:'Kyrgyzstan',code:'996'},{area_code:'GN',name:'几内亚',name_en:'Guinea',code:'224'}
        ,{area_code:'GW',name:'几内亚比绍共和国',name_en:'Guinea-Bissau',code:'245'},{area_code:'GH',name:'加纳',name_en:'Ghana',code:'233'}
        ,{area_code:'GA',name:'加蓬',name_en:'Gabon',code:'241'},{area_code:'KH',name:'柬埔寨',name_en:'Cambodia',code:'855'}
        ,{area_code:'CZ',name:'捷克',name_en:'Czech Republic',code:'420'},{area_code:'ZW',name:'津巴布韦',name_en:'Zimbabwe',code:'263'}
        ,{area_code:'CM',name:'喀麦隆',name_en:'Cameroon',code:'237'},{area_code:'QA',name:'卡塔尔',name_en:'Qatar',code:'974'}
        ,{area_code:'KY',name:'开曼群岛',name_en:'Cayman Islands',code:'1345'},{area_code:'CV',name:'开普',name_en:'Cape Verde',code:'238'}
        ,{area_code:'KM',name:'科摩罗',name_en:'Comoros',code:'269'},{area_code:'KW',name:'科威特',name_en:'Kuwait',code:'965'}
        ,{area_code:'HR',name:'克罗地亚',name_en:'Croatia',code:'385'},{area_code:'KE',name:'肯尼亚',name_en:'Kenya',code:'254'}
        ,{area_code:'CK',name:'库克群岛',name_en:'Cook Islands',code:'682'},{area_code:'CW',name:'库拉索',name_en:'Curacao',code:'599'}
        ,{area_code:'LV',name:'拉脱维亚',name_en:'Latvia',code:'371'},{area_code:'LS',name:'莱索托',name_en:'Lesotho',code:'266'}
        ,{area_code:'LA',name:'老挝',name_en:'Laos',code:'856'},{area_code:'LB',name:'黎巴嫩',name_en:'Lebanon',code:'961'}
        ,{area_code:'LT',name:'立陶宛',name_en:'Lithuania',code:'370'},{area_code:'LR',name:'利比里亚',name_en:'Liberia',code:'231'}
        ,{area_code:'LY',name:'利比亚',name_en:'Libya',code:'218'},{area_code:'LI',name:'列支敦士登',name_en:'Liechtenstein',code:'423'}
        ,{area_code:'RE',name:'留尼汪',name_en:'Réunion Island',code:'262'},{area_code:'LU',name:'卢森堡',name_en:'Luxembourg',code:'352'}
        ,{area_code:'RW',name:'卢旺达',name_en:'Rwanda',code:'250'},{area_code:'RO',name:'罗马尼亚',name_en:'Romania',code:'40'}
        ,{area_code:'MG',name:'马达加斯加',name_en:'Madagascar',code:'261'},{area_code:'MV',name:'马尔代夫',name_en:'Maldives',code:'960'}
        ,{area_code:'MT',name:'马耳他',name_en:'Malta',code:'356'},{area_code:'MW',name:'马拉维',name_en:'Malawi',code:'265'}
        ,{area_code:'ML',name:'马里',name_en:'Mali',code:'223'},{area_code:'MK',name:'马其顿',name_en:'Macedonia',code:'389'}
        ,{area_code:'MQ',name:'马提尼克',name_en:'Martinique',code:'596'},{area_code:'YT',name:'马约特',name_en:'Mayotte',code:'269'}
        ,{area_code:'MU',name:'毛里求斯',name_en:'Mauritius',code:'230'},{area_code:'MR',name:'毛里塔尼亚',name_en:'Mauritania',code:'222'}
        ,{area_code:'AS',name:'美属萨摩亚',name_en:'American Samoa',code:'1684'},{area_code:'VI',name:'美属维尔京群岛',name_en:'Virgin Islands, US',code:'1284'}
        ,{area_code:'MN',name:'蒙古',name_en:'Mongolia',code:'976'},{area_code:'MS',name:'蒙特塞拉特岛',name_en:'Montserrat',code:'1664'}
        ,{area_code:'BD',name:'孟加拉国',name_en:'Bangladesh',code:'880'},{area_code:'PE',name:'秘鲁',name_en:'Peru',code:'51'}
        ,{area_code:'MM',name:'缅甸',name_en:'Myanmar',code:'95'},{area_code:'MD',name:'摩尔多瓦',name_en:'Moldova',code:'373'}
        ,{area_code:'MA',name:'摩洛哥',name_en:'Morocco',code:'212'},{area_code:'MC',name:'摩纳哥',name_en:'Monaco',code:'377'}
        ,{area_code:'MZ',name:'莫桑比克',name_en:'Mozambique',code:'258'},{area_code:'MX',name:'墨西哥',name_en:'Mexico',code:'52'}
        ,{area_code:'NA',name:'纳米比亚',name_en:'Namibia',code:'264'},{area_code:'ZA',name:'南非',name_en:'South Africa',code:'27'}
        ,{area_code:'SS',name:'南苏丹',name_en:'South Sudan',code:'211'},{area_code:'NP',name:'尼泊尔',name_en:'Nepal',code:'977'}
        ,{area_code:'NI',name:'尼加拉瓜',name_en:'Nicaragua',code:'505'},{area_code:'NE',name:'尼日尔',name_en:'Niger',code:'227'}
        ,{area_code:'NG',name:'尼日利亚',name_en:'Nigeria',code:'234'},{area_code:'NO',name:'挪威',name_en:'Norway',code:'47'}
        ,{area_code:'PW',name:'帕劳',name_en:'Palau',code:'680'},{area_code:'PT',name:'葡萄牙',name_en:'Portugal',code:'351'}
        ,{area_code:'SE',name:'瑞典',name_en:'Sweden',code:'46'},{area_code:'CH',name:'瑞士',name_en:'Switzerland',code:'41'}
        ,{area_code:'SV',name:'萨尔瓦多',name_en:'El Salvador',code:'503'},{area_code:'WS',name:'萨摩亚',name_en:'Samoa',code:'685'}
        ,{area_code:'RS',name:'塞尔维亚',name_en:'Serbia',code:'381'},{area_code:'SL',name:'塞拉利昂',name_en:'Sierra Leone',code:'232'}
        ,{area_code:'SN',name:'塞内加尔',name_en:'Senegal',code:'221'},{area_code:'CY',name:'塞浦路斯',name_en:'Cyprus',code:'357'}
        ,{area_code:'SC',name:'塞舌尔',name_en:'Seychelles',code:'248'},{area_code:'SA',name:'沙特阿拉伯',name_en:'Saudi Arabia',code:'966'}
        ,{area_code:'PM',name:'圣彼埃尔和密克隆岛',name_en:'Saint Pierre and Miquelon',code:'508'},{area_code:'ST',name:'圣多美 和普林西比',name_en:'Sao Tome and Principe',code:'239'}
        ,{area_code:'KN',name:'圣基 茨和尼维斯',name_en:'Saint Kitts and Nevis',code:'1869'},{area_code:'LC',name:'圣露西亚',name_en:'Saint Lucia',code:'1758'}
        ,{area_code:'SX',name:'圣马丁岛（荷兰部分）',name_en:'Sint Maarten (Dutch Part)',code:'1721'},{area_code:'SM',name:'圣马力诺',name_en:'San Marino',code:'378'}
        ,{area_code:'VC',name:'圣文森特和格林纳丁斯',name_en:'Saint Vincent and The Grenadines',code:'1784'},{area_code:'LK',name:'斯里兰卡',name_en:'Sri Lanka',code:'94'}
        ,{area_code:'SK',name:'斯洛伐克',name_en:'Slovakia',code:'421'},{area_code:'SI',name:'斯洛文尼亚',name_en:'Slovenia',code:'386'}
        ,{area_code:'SZ',name:'斯威士兰',name_en:'Swaziland',code:'268'},{area_code:'SD',name:'苏丹',name_en:'Sudan',code:'249'}
        ,{area_code:'SR',name:'苏里南',name_en:'Suriname',code:'597'},{area_code:'SB',name:'所罗门群岛',name_en:'Solomon Islands',code:'677'}
        ,{area_code:'SO',name:'索马里',name_en:'Somalia',code:'252'},{area_code:'TJ',name:'塔吉克斯坦',name_en:'Tajikistan',code:'992'}
        ,{area_code:'TZ',name:'坦桑尼亚',name_en:'Tanzania',code:'255'},{area_code:'TO',name:'汤加',name_en:'Tonga',code:'676'}
        ,{area_code:'TC',name:'特克斯和凯科斯群岛',name_en:'Turks and Caicos Islands',code:'1649'},{area_code:'TT',name:'特立尼 达和多巴哥',name_en:'Trinidad and Tobago',code:'1868'}
        ,{area_code:'TN',name:'突尼斯',name_en:'Tunisia',code:'216'},{area_code:'TR',name:'土耳其',name_en:'Turkey',code:'90'}
        ,{area_code:'TM',name:'土库曼斯坦',name_en:'Turkmenistan',code:'993'},{area_code:'VU',name:'瓦努阿图',name_en:'Vanuatu',code:'678'}
        ,{area_code:'VE',name:'委内瑞拉',name_en:'Venezuela',code:'58'},{area_code:'UG',name:'乌干达',name_en:'Uganda',code:'256'}
        ,{area_code:'UA',name:'乌克兰',name_en:'Ukraine',code:'380'},{area_code:'UY',name:'乌拉圭',name_en:'Uruguay',code:'598'}
        ,{area_code:'UZ',name:'乌兹别克斯坦',name_en:'Uzbekistan',code:'998'},{area_code:'ES',name:'西班牙',name_en:'Spain',code:'34'}
        ,{area_code:'GR',name:'希腊',name_en:'Greece',code:'30'},{area_code:'CI',name:'象牙海岸',name_en:'Ivory Coast',code:'225'}
        ,{area_code:'NC',name:'新喀里多尼亚',name_en:'New Caledonia',code:'687'},{area_code:'NZ',name:'新西兰',name_en:'New Zealand',code:'64'}
        ,{area_code:'HU',name:'匈牙利',name_en:'Hungary',code:'36'},{area_code:'SY',name:'叙利亚',name_en:'Syria',code:'963'}
        ,{area_code:'JM',name:'牙买加',name_en:'Jamaica',code:'1876'},{area_code:'AM',name:'亚美尼亚',name_en:'Armenia',code:'374'}
        ,{area_code:'YE',name:'也门',name_en:'Yemen',code:'967'},{area_code:'IQ',name:'伊拉克',name_en:'Iraq',code:'964'}
        ,{area_code:'IR',name:'伊朗',name_en:'Iran',code:'98'},{area_code:'IL',name:'以色列',name_en:'Israel',code:'972'}
        ,{area_code:'VG',name:'英 属处女群岛',name_en:'Virgin Islands, British',code:'1340'},{area_code:'JO',name:'约旦',name_en:'Jordan',code:'962'}
        ,{area_code:'ZM',name:'赞比亚',name_en:'Zambia',code:'260'},{area_code:'TD',name:'乍得',name_en:'Chad',code:'235'}
        ,{area_code:'GI',name:'直布罗陀',name_en:'Gibraltar',code:'350'},{area_code:'CL',name:'智利',name_en:'Chile',code:'56'}
        ,{area_code:'CF',name:'中 非共和国',name_en:'Central African Republic',code:'236'}
    ];
    $scope.areaCodeInfo={
        numcode:$scope.arer_codes[0].code
    }
    $scope.choice_areacode=function(x,$index){
        $(".quhao-con ul li").eq($index).addClass("ch").siblings().removeClass("ch");
        $(".quhao-modal-bg").fadeOut();
        $(".quhao-con").animate({ "bottom": "-230px" }, 300);
        $scope.areaCodeInfo.numcode=x.code;
    }
    //------------------------------------登录-----------------------------------------
    var user = localStorageService.get('userinfo');
    if (user && user.userinfo) {
        $location.path('/content');
    }
    //登录参数
    $scope.loginData = {
        userName: authService.authentication.userName,
        password: "",
        useRefreshTokens: false
    };
    $scope.logmessage = "";
    $scope.loginmsg = true;
    $scope.login = function () {
        var loginParam={
            userName:$scope.loginData.userName,
            password:$scope.loginData.password,
            useRefreshTokens: false
        };
        //区分国内和国外用户，国外用户登录需要加上区号，给绑定的手机号加上区号
        var Areacode=$(".quhao .num").html();
        if(Areacode!="+86"){
            loginParam.userName=(Areacode+loginParam.userName).replace("+","");
        }
        //调用登录方法
        $scope.loginmsg = false;
        // 同步调用承诺API获取数据 .resolve
        authService.login(loginParam).then(function (response) {
            getUserinfo();
            $scope.loginmsg = true;
            $scope.logmessage="登录成功";
        },function (err) {
            $scope.loginmsg = true;
            $scope.logmessage = err.error_description;
            //用户错误提示框3秒后自动消失
            $timeout(function(){
                $scope.loginmsg = true;
                $scope.logmessage = "";
            },3000);
        });
    };
    //判断是否有登录后要跳转的路由
    var backhistory="";
    if (localStorageService.get('backhistory')) {
        backhistory = localStorageService.get('backhistory').router;
        //localStorageService.remove('backhistory');
    }
    //获取用户信息
    var getUserinfo = function () {
        localStorageService.remove('userinfo');
        var useridUrl = allurl + "api/accounts/UserInfo";
        //请求用户信息
        $http.get(useridUrl).success(function (data) {
            if (data.status != '0') {
                $scope.loginmsg = true;
                $scope.logmessage = '请求失败';
            } else {
                //保存用户信息
                localStorageService.set('userinfo', { userinfo: data.response });
                $scope.loginmsg = true;
                authService.authentication.isAuth = true;
                authService.authentication.name = data.response.name;
                authService.authentication.headPicture = data.response.headPicture;
                authService.authentication.userName = data.response.userName;
                //到主页
                var backhistory = localStorageService.get('backhistory');
                if (backhistory) {
                    $location.path(backhistory.router);
                }else {
                    $location.path('/content');

                    //根据用户是否有昵称来跳转
                    // var nicknameUrl=allurl+"api/luckly/baseInfo";
                    // $http.post(nicknameUrl).success(function(response){
                    //     //console.log(response);
                    //     $scope.nickname=response.response.nickname;
                    //     if($scope.nickname==null){
                    //         $location.path('/loginTest');
                    //     }else{
                    //         $location.path('/content');
                    //     }
                    // });
                }
            }
        }).error(function () {
            $scope.loginmsg = true;
            $scope.logmessage = '请求失败';
        });
    }
    //-------------------------------------注册---------------------------------------
    //日期选择
    var calender = new DateSelector(document.getElementById("iYear"), document.getElementById("iMonth"), document.getElementById("iDay"),
        1985, 1, 1, document.getElementById("Calendar"), 1);
    $('#Calendar0').click(function (e) {
        if (calender.selCalendar.selectedIndex == 1) {
            calender.selCalendar.selectedIndex = 0;
            calender.Onchange();
        }
    });
    $('#Calendar1').click(function (e) {
        if (calender.selCalendar.selectedIndex == 0) {
            calender.selCalendar.selectedIndex = 1;
            calender.Onchange();
        }
    });
    //注册参数
    $scope.signUpmessage="";
    $scope.registration = {
        //基本资料
        Password: "",
        ConfirmPassword: "",
        PhoneNumber: "",
        Sex: "女",
        Blood: "A",
        Birthday: "1990-06-15",
        Hour: '1',
        HeadPicture: 'http://admin.yunshi360.net/Upload/f360_UserImage/user_default_pic.png',
        Vcode: '',
    };
    //注册条款
    $scope.Agree = true;
    //获取验证码
    $scope.paracont="获取验证码";
    $scope.paraevent=false;
    var second = 60,timePromise = undefined;
    //发送验证码
    $scope.sendphonecode = function () {
        if ($scope.registration.PhoneNumber != "") {//判断有没有输入手机号
            if ($scope.paracont == '获取验证码' || $scope.paracont == '重新获取') {//判断是否是正在获取的状态
                var url = allurl + 'api/accounts/PhoneVcode';
                var Areacode=$(".quhao .num").html();
                var PhoneNumber = (Areacode + $scope.registration.PhoneNumber).replace('+', '');
                $http.get(url, { params: { PhoneNumber: PhoneNumber, application: '运势360' } }).success(function (data) {
                    timePromise = $interval(function () {//定义定时器，每一秒执行一次
                        if (second <= 0) {//当小于0时，清除定时器，恢复默认值
                            $interval.cancel(timePromise);
                            timePromise = undefined;
                            second = 60;
                            $scope.paracont = "重新获取";
                            $scope.paraevent = false;
                        } else {//从60s开始每次减少1s，直到减少到0
                            $scope.paraevent = true;
                            $scope.paracont = second + "秒后重新获取";
                            second--;
                        }
                    }, 1000, 100);
                }).error(function (data) {
                    $scope.signUpmessage = data.modelState.tips[0];
                    $timeout(function () {
                        $scope.signUpmessage = "";
                    }, 3000);
                });
            };
        } else {
            $scope.signUpmessage = "请输入手机号码";
        }
    };
 
    //注册
    $scope.signUpmsg = true;
    $scope.signUpmessage = "";
    $scope.successmessage = "注册";
    $scope.signUp = function () {
        //验证验证码是否正确以及该用户是否注册过
        var url = allurl + 'api/accounts/checkVCode';
        var Areacode = $(".quhao .num").html();
        var PhoneNumber = "";
        if (Areacode=="+86") {
            PhoneNumber = $scope.registration.PhoneNumber;
        }
        else {
            PhoneNumber = (Areacode + $scope.registration.PhoneNumber).replace('+', '');
        }
        $http.get(url, { params: { phoneNumber: PhoneNumber, VertifitionCode: $scope.registration.Vcode } }).success(function (data) {
            if (!data.response.existed) {
                if (data.response.valid) {
                    //手机号=区号+手机号，并且去掉区号前面‘+’
                    $scope.registration.PhoneNumber = (Areacode + $scope.registration.PhoneNumber).replace('+', '');

                    //---------注册------------
                    //界面上没有要求填确认密码，所以这里手动把确认密码设置为与密码相同
                    $scope.registration.ConfirmPassword = $scope.registration.Password;

                    $scope.signUpmsg = false;
                    authService.saveRegistration($scope.registration).success(function (response) {
                        $scope.signUpmsg = true;//console.log($scope.registration);
                        $scope.successmessage = "注册成功";
                        //保存用户信息
                        localStorageService.set('userinfo', { userinfo: response.response.userinfo });
                        authService.authentication.isAuth = true;
                        authService.authentication.name = response.response.userinfo.name;
                        authService.authentication.headPicture = response.response.userinfo.headPicture;
                        authService.authentication.userName = response.response.userinfo.userName;//console.log(authService.authentication);
                        //$state.go("loginRegister", {type: 'login'}, { reload: true });
                        $location.path('/collectInfo');
                    }).error(function (response) {
                         $scope.signUpmsg = true;
                         var errors = [];
                         // for (var key in response.data.modelState) {
                         //     for (var i = 0; i < response.data.modelState[key].length; i++) {
                         //         errors.push(response.data.modelState[key][i]);
                         //     }
                         // }
                         // $scope.signUpmessage = errors.join('');
                         // var message = '"' + errors.join('') + '"';
                         // var name = "Name " + $scope.registration.PhoneNumber + " is already taken. ";

                         //英文转换为中文提示
                         //if (message.indexOf(name) > 0) {
                             $scope.signUpmessage = "手机号 " + $scope.registration.PhoneNumber + " 已被占用。";
                             $timeout(function () {
                                 $scope.signUpmessage = "";
                             }, 3000);
                         //}
                     });
                } else {
                    $scope.signUpmessage = "验证码错误";
                    $timeout(function () {
                        $scope.signUpmessage = "";
                    }, 3000);
                }
            } else {
                $scope.signUpmessage = "该手机号已注册，可登录或使用忘记密码找回";
                $timeout(function () {
                    $scope.signUpmessage = "";
                }, 3000);
            }
        }).error(function (data) {
            $scope.signUpmessage = "验证码错误";
            $timeout(function () {
                $scope.signUpmessage = "";
            }, 3000);
        });
    };
});
//忘记密码
numapp.controller('resetPasswordCtrl', function ($scope, $rootScope, $http, $location, authService, localStorageService, $interval, $timeout) {
    $rootScope.appTitle = '重置密码';

    var user = localStorageService.get('userinfo');
    if (user && user.userinfo) {
        $location.path('/content');
    }
     $scope.Resetmessage = '';
    //验证用户--------------------------------------------------------------
    $scope.setways = [];
    $scope.canset = false;//通过验证才能设置密保问题
    //验证用户
    $scope.Vertifitionuser = function () {
        if ($scope.resetPassword.UserName == '') {
            $scope.Resetmessage = '请输入用户名';
        }
        else {
            var url = allurl + 'api/accounts/Security';
            $http.get(url, { params: { UserName: $scope.resetPassword.UserName } }).success(function (data) {
                if (data.status == '0') {
                    $scope.setways = data.response.type;
                    $scope.setway = $scope.setways[0];
                    $scope.resetPassword.SecurityQue=data.response.question;
                    $scope.canset = true;
                    $scope.Resetmessage = '';
                    //显示下个div
                    $(".step-hint ul li:nth-child(2) span").addClass("step-bg");
                    $(".step-hint ul li:nth-child(2) .line").css({"background":"linear-gradient(to right,#64bee9,#89d0ef,#d4f4ff)"})
                    $(".reset-stpe1").fadeOut();
                    setTimeout(function(){
                        $(".reset-stpe2").fadeIn();
                    },300);
                }
                else {
                    $scope.Resetmessage = '用户不存在';
                    $timeout(function(){
                        $scope.Resetmessage = "";
                    },3000);
                }
            });
        }
    };

    //重置密码-------------------------------------------------------------------
    // $scope.securityquestion = ['你的父亲叫什么？', '你的母亲叫什么？'];
    $scope.resetPassword = {
        UserName: '',
        NewPassword: "",
        ConfirmPassword: "",
        PhoneNumber: "",
        VertifitionCode: '',
        SecurityQue: '',//$scope.securityquestion[0]
        SecurityAns: ''
    };
    //获取验证码
    $scope.paracont = "获取验证码";
    $scope.paraevent = false;
    $scope.codestyle=true;
    var second = 60,
        timePromise = undefined;
    //发送验证码
    $scope.sendphonecode = function () {
        if ($scope.paracont == '获取验证码' || $scope.paracont == '重发验证码') {
            var url = allurl + 'api/accounts/PhoneVcode';
            $http.get(url, { params: { PhoneNumber: $scope.resetPassword.UserName, application: '数你行', flag: 'FINDPASSWORD' } }).success(function (data) {
                try {
                    $scope.Resetmessage = data.modelState.tips[0];
                } catch (e) {

                }
                timePromise = $interval(function () {
                    if (second <= 0) {
                        $interval.cancel(timePromise);
                        timePromise = undefined;
                        second = 60;
                        $scope.paracont = "重发验证码";
                        $scope.paraevent = false;
                        $scope.codestyle=true;
                    } else {
                        $scope.paraevent = true;
                        $scope.codestyle=false;
                        $scope.paracont = second + "秒后可重发";
                        second--;
                    }
                }, 1000, 100);
            }).error(function (data) {
                $scope.Resetmessage = data.modelState.tips[0];
                $timeout(function(){
                         $scope.Resetmessage ="";
                },3000);
            })
        }
    }
    //切换验证方法
    $scope.selWay=function(way){
        $scope.setway = $scope.setways[way];
    }
    //重置
    $scope.Resetmsg = true;
    $scope.Resetmessage = "";
    $scope.Reset = function () {
        if ($scope.setway != '密保问题') {
            $scope.resetPassword.SecurityAns = '';
            if ($scope.resetPassword.NewPassword == '' || $scope.resetPassword.VertifitionCode == '') {
                $scope.Resetmessage = "请将信息填写完整";
            }
            else {
                $scope.resetPassword.PhoneNumber = $scope.resetPassword.UserName;
                $scope.resetPassword.ConfirmPassword = $scope.resetPassword.NewPassword;
                $scope.Resetmsg = false;
                authService.resetPasswordUserinfo($scope.resetPassword).then(function (response) {
                    authService.authentication.userName = $scope.resetPassword.PhoneNumber;
                    $scope.Resetmsg = true;
                    // $scope.Resetmessage = "重置成功,将跳转至登录页。";
                    // $location.path('/loginRegister/login');

                    $(".step-hint ul li:nth-child(3) span").addClass("step-bg");
                    $(".reset-stpe2").fadeOut();
                    setTimeout(function(){
                        $(".reset-stpe3").fadeIn();
                    },300);

                },
                 function (response) {
                     $scope.Resetmsg = true;
                     var errors = [];
                     for (var key in response.data.modelState) {
                         for (var i = 0; i < response.data.modelState[key].length; i++) {
                             errors.push(response.data.modelState[key][i]);
                         }
                     }
                     $scope.Resetmessage = errors.join('');
                     // $scope.Resetmessage = '用户不存在';
                    $timeout(function(){
                        $scope.Resetmessage = "";
                    },3000);
                 });
            }
        }
        else {
            $scope.resetPassword.VertifitionCode = ''
            if ($scope.resetPassword.NewPassword == '' || $scope.resetPassword.SecurityAns == '') {
                $scope.Resetmessage = "请将信息填写完整";
            }
            else {
                $scope.resetPassword.PhoneNumber = $scope.resetPassword.UserName;
                $scope.resetPassword.ConfirmPassword = $scope.resetPassword.NewPassword;
                $scope.Resetmsg = false;
                authService.resetPasswordUserinfo($scope.resetPassword).then(function (response) {
                    authService.authentication.userName = $scope.resetPassword.PhoneNumber;
                    $scope.Resetmsg = true;
                    // $scope.Resetmessage = "重置成功,将跳转至登录页。";
                    // $location.path('/loginRegister/login');
                    $(".step-hint ul li:nth-child(3) span").addClass("step-bg");
                    $(".reset-stpe2").fadeOut();
                    setTimeout(function(){
                        $(".reset-stpe3").fadeIn();
                    },300);
                },
                 function (response) {
                     $scope.Resetmsg = true;
                     var errors = [];
                     for (var key in response.data.modelState) {
                         for (var i = 0; i < response.data.modelState[key].length; i++) {
                             errors.push(response.data.modelState[key][i]);
                         }
                     }
                     $scope.Resetmessage = errors.join('');
                     // $scope.Resetmessage = '用户不存在';
                    $timeout(function(){
                        $scope.Resetmessage = "";
                    },3000);
                 });
            }
        }
    };
});
//个人中心
numapp.controller('personalCenterCtrl',function($scope, $rootScope, $http,$state, $location, authService, localStorageService, $timeout,$interval){
    $rootScope.appTitle = '个人中心';
    share_params.title = '强烈推荐养生音乐';
    share_params.description = '养生音乐，听出好身体';
    share_params.imageUrl = 'http://admin.yunshi360.net/Upload/music/logo.png';

    //在网页中，不显示分享
    if (!app_paramas.inApp) {
        $('.goshare').hide();
    }

    // $scope.changeinfo = {
    //     //基本资料
    //     //Name: $scope.userinfos.name,
    //     Name:""
    // };
    //获取信息
    var url=allurl+"api/luckly/baseInfo";
    $http.post(url).success(function(response){
        $scope.nickname=response.response.nickname;
        $scope.userid=response.response.userid;
        share_params.basePath='http://www.ttnzd.cn/app_ysMusic/sharepage/sharepage.html?userid='+$scope.userid;
        var user = localStorageService.get('userinfo');
        if (user && user.userinfo) {
            localStorageService.set("nickname",$scope.nickname);
        }
    });
    //拿个人信息
    // var user = localStorageService.get('userinfo');
    // if (user && user.userinfo) {
    //     $scope.userinfos = user.userinfo;
    //     $scope.changeinfo.Name=$scope.userinfos.name;
    // }
    // else {
    //     $scope.changeinfo.Name="";
    //     //$location.path('/loginRegister');
    // }
    //修改头像
    $scope.updateimg = function () {
        $scope.imgsource=imgsource;
        var url = allurl + "api/accounts/postPic";
        if ($scope.imgsource != "") {
            $http.post(url, { strpic: $scope.imgsource }).success(function (data) {
                if (data.status == '0') {
                    //保存用户信息
                    localStorageService.set('userinfo', { userinfo: data.response });
                    authService.authentication.name = data.response.name;
                    authService.authentication.headPicture = data.response.headPicture;
                    authService.authentication.userName = data.response.userName;
                    //返回上个页面
                    //history.back(-1);
                    $(".htmleaf-container").hide();
                } else {
                    $scope.imgTip = "您的登录凭证已失效，将自动为您跳转到登录页面";
                    $location.path('/loginRegister/login');
                }
            }).error(function (data, statue) {
                $scope.imgTip = "上传失败";
                alert($scope.imgTip);
            });
        }else{
            $(".htmleaf-container").hide();
        }
    }
    //注销
    $scope.logOut = function () {
        authService.logOut();
        $state.go("content", {}, { reload: true });
    }
    //版本号
    $scope.copyright=app_paramas.app_version;
    var date=new Date();
    $scope.year=date.getFullYear();
    //修改测试信息，根据localstorage来判断
    $scope.goUserInfoTest=function(){
        localStorageService.set("modifyTestInfo",true);
    }
});
//修改资料
numapp.controller('updateUserInfoCtrl', function ($scope, $rootScope, $http, $location, authService, localStorageService, $timeout,$interval) {
    $rootScope.appTitle = '修改资料';

    //拿个人信息
    var user = localStorageService.get('userinfo');
    if (user && user.userinfo) {
        $scope.userinfos = user.userinfo;
    }else {
        $location.path('/loginRegister/login');
    }
    $scope.changeBirthday = '公历 ' + $scope.userinfos.birthday;
    //console.log($scope.changeBirthday);
    $scope.changeinfo = {
        //基本资料
        Password: "Password",
        ConfirmPassword: "Password",
        PhoneNumber: $scope.userinfos.phoneNumber,
        Sex: $scope.userinfos.gender,
        Blood: $scope.userinfos.blood,
        Birthday: $scope.userinfos.birthday,
        Hour: $scope.userinfos.hourIndex,
        HeadPicture: '',
        Vcode: '',
        Name: $scope.userinfos.name,
    };
    //选择生日
    var calenderday = new Date($scope.changeinfo.Birthday);
    var calender = new DateSelector(document.getElementById("iYear"), document.getElementById("iMonth"), document.getElementById("iDay"),calenderday.getFullYear(), calenderday.getMonth() + 1, calenderday.getDate(), document.getElementById("Calendar"), 1);
    $('#Calendar0').click(function (e) {
        if (calender.selCalendar.selectedIndex==1) {
            calender.selCalendar.selectedIndex = 0;
            calender.Onchange();
        }
    });
    $('#Calendar1').click(function (e) {
        if (calender.selCalendar.selectedIndex == 0) {
            calender.selCalendar.selectedIndex = 1;
            calender.Onchange();
        }
    });
    $scope.selBirthday=function(){
        //日期值都是传公历数据，如果是农历调用lunar2Solar方法转换为公历
        var value = "";
        if (calender.selCalendar.selectedIndex == 0) {
            var solar = lunar2Solar(((new Date()).getFullYear() - calender.selYear.selectedIndex), (calender.selMonth.selectedIndex + 1), (calender.selDay.selectedIndex + 1));
            value = solar.getFullYear() + "-" + (solar.getMonth() + 1) + "-" + solar.getDate();
            //页面显示
            $scope.changeBirthday = '农历 ' + ((new Date()).getFullYear() - calender.selYear.selectedIndex) + "-" + (calender.selMonth.value) + "-" + (calender.selDay.selectedIndex + 1);
        } else {
            value = ((new Date()).getFullYear() - calender.selYear.selectedIndex) + "-" + (calender.selMonth.selectedIndex + 1) + "-" + (calender.selDay.selectedIndex + 1);
            $scope.changeBirthday = '公历 ' + ((new Date()).getFullYear() - calender.selYear.selectedIndex) + "-" + (calender.selMonth.selectedIndex + 1) + "-" + (calender.selDay.selectedIndex + 1);
        }
        //生日=转换过的公历生日，存进数据库
        $scope.changeinfo.Birthday = value;//传入数据库
        // console.log($scope.changeinfo.Birthday);
        // console.log($scope.changeBirthday);
    }
    //确认修改资料
    $scope.upUserMessage="";
    $scope.SaveUsermsg=true;
    $scope.SaveUser=function(){
        $scope.SaveUsermsg=false;
        authService.saveUserinfo($scope.changeinfo).then(function (response) {
            if (response.data.status != '-1') {
                $scope.upUserMessage = '修改成功';
                $scope.SaveUsermsg=true;
                //保存用户信息
                localStorageService.set('userinfo', { userinfo: response.data.response });
                authService.authentication.name = response.data.response.name;
                authService.authentication.userName = response.data.response.userName;
                authService.authentication.headPicture = response.data.response.headPicture;
                //返回上个页面
                //history.back(-1);
                $timeout(function () {
                    $scope.upUserMessage = "";
                }, 3000);
            }else {
                $scope.upUserMessage = '您的登录凭证已失效，将自动为您跳转到登录页面';
                $location.path('/loginRegister/login');
                $scope.SaveUsermsg=false;
                $timeout(function () {
                    $scope.upUserMessage = "";
                }, 3000);
            }
        },function (response) {
            $scope.signUpmsg = true;
            var errors = [];
            for (var key in response.data.modelState) {
                for (var i = 0; i < response.data.modelState[key].length; i++) {
                    errors.push(response.data.modelState[key][i]);
                }
            }
            $scope.upUserMessage = errors.join('');
        });
    }
});
//账户安全
numapp.controller('appsecurityCtrl', function ($scope,$rootScope, $http, $location, $interval,$timeout, authService, localStorageService) {
    $rootScope.appTitle = '账户安全';

    //拿个人信息
    var user=localStorageService.get('userinfo');
    if(user && user.userinfo){
        $scope.userinfos = user.userinfo;
    }else{
        $location.path('/loginRegister/login');
    }
    //-----------------------修改密码--------------------
    $scope.Password = {
        //基本资料
        OldPassword: "",
        NewPassword: "",
        ConfirmPassword: ""
    };
    $scope.CPmessage = "";
    $scope.SaveUsermsg=true;
    $scope.SavePassword = function () {
        $scope.SaveUsermsg=false;
        authService.Change($scope.Password).then(function (response) {
            authService.logOut();
            $location.path('/loginRegister/login');
            $scope.SaveUsermsg=true;
            $scope.CPmessage=='修改成功';
        },function (response) {
             var errors = [];
             for (var key in response.data.modelState) {
                 for (var i = 0; i < response.data.modelState[key].length; i++) {
                     errors.push(response.data.modelState[key][i]);
                 }
             }
             $scope.CPmessage = errors.join(' ');
             if ($scope.CPmessage == "Incorrect password.") {
                $scope.CPmessage = "密码错误";
                $timeout(function () {
                    $scope.CPmessage = "";
                }, 3000);
             }
        });
    };
    //-----------------------密保问题------------------------------
    $scope.Appsecurity={
        PhoneNumber: $scope.userinfos.phoneNumber
    }
    $scope.AphoneNumber=$scope.Appsecurity.PhoneNumber.substring(0,3)+"****"+$scope.Appsecurity.PhoneNumber.substring(7,11);
    //手机获取验证码验证
    $scope.VertifitionCode = '';
    $scope.paracont = "获取验证码";
    $scope.paraevent = false;
    var second = 60,
        timePromise = undefined;
    //发送验证码
    $scope.Security_tip = '';
    $scope.sendphonecode = function () {
        $scope.paraevent = true;
        if ($scope.paracont == '获取验证码' || $scope.paracont == '重发验证码') {
            var url = allurl + 'api/accounts/PhoneVcode';
            $http.get(url, { params: { PhoneNumber: 'PhoneNumber', application: '数你行', flag: 'NORMAL' } }).success(function (data) {
                timePromise = $interval(function () {
                    if (second <= 0) {
                        $interval.cancel(timePromise);
                        timePromise = undefined;

                        second = 60;
                        $scope.paracont = "重发验证码";
                        $scope.paraevent = false;
                    } else {
                        $scope.paraevent = true;
                        $scope.paracont = second + "秒后可重发";
                        second--;
                    }
                }, 1000, 100);
            }).error(function (data) {
                $scope.Security_tip = data.modelState.tips[0];
                $timeout(function () {
                    $scope.Security_tip = "";
                }, 3000);
            });
        };
    };
    //验证验证码是否正确，正确就跳到下一步
    $scope.Vertifition = function () {
        if ($scope.VertifitionCode == '') {
            $scope.Security_tip = '请填写验证码';
            $timeout(function () {
                $scope.Security_tip = "";
            }, 3000);
        }
        else {
            var url = allurl + 'api/accounts/confirmVcode';
            $http.get(url, { params: { phoneNumber: $scope.userinfos.phoneNumber, VertifitionCode: $scope.VertifitionCode } }).success(function (data) {
                if (data) {
                    $scope.Security_tip = '';
                    $(".security-step1").fadeOut();
                    setTimeout(function(){
                        $(".security-step2").fadeIn();
                    },300);
                }
                else {
                    $scope.Security_tip = '验证失败';
                    $timeout(function () {
                        $scope.Security_tip = "";
                    }, 3000);
                }
            });
        }
    };
    //密保问题
    $scope.securityquestion = ['你的父亲叫什么？', '你的母亲叫什么？'];
    $scope.SecurityQue_old = $scope.securityquestion[0];
    $scope.SecurityAns_old = '';
    $scope.SecurityQue = $scope.securityquestion[0];
    $scope.SecurityAns = '';
    //设置密保问题
    $scope.Security_tips="";
    $scope.Security_set = function () {
        var url = allurl + 'api/accounts/Security_set';
        $http.post(url,
            {
                SecurityQue_old: $scope.SecurityQue_old,
                SecurityAns_old: $scope.SecurityAns_old,
                SecurityQue: $scope.SecurityQue,
                SecurityAns: $scope.SecurityAns,
                VertifitionCode: $scope.VertifitionCode
            }, { headers: { 'Content-Type': 'application/json' } }).success(function (data) {
                if (data.status == '-1') {
                    $scope.Security_tips = '设置失败';
                    $timeout(function () {
                        $scope.Security_tips = "";
                    }, 3000);
                }
                else {
                    $scope.Security_tips = '设置成功';
                    $timeout(function () {
                        $location.path('/content');
                    }, 3000);
                    //$location.path('/content');
                }
            });
    };
});
//设置密保问题
numapp.controller('setSecurityCtrl', function ($scope,$rootScope, $http, $location, $interval,$timeout, authService, localStorageService) {
    $rootScope.appTitle = '设置密保问题';

    //拿个人信息
    var user=localStorageService.get('userinfo');
    if(user && user.userinfo){
        $scope.userinfos = user.userinfo;
    }else{
        $location.path('/loginRegister/login');
    }
    
    $scope.Appsecurity={
        PhoneNumber: $scope.userinfos.phoneNumber
    }
    $scope.AphoneNumber=$scope.Appsecurity.PhoneNumber.substring(0,3)+"****"+$scope.Appsecurity.PhoneNumber.substring(7,11);
    //手机获取验证码验证
    $scope.VertifitionCode = '';
    $scope.paracont = "获取验证码";
    $scope.paraevent = false;
    var second = 60,
        timePromise = undefined;
    //发送验证码
    $scope.Security_tip = '';
    $scope.sendphonecode = function () {
        $scope.paraevent = true;
        if ($scope.paracont == '获取验证码' || $scope.paracont == '重发验证码') {
            var url = allurl + 'api/accounts/PhoneVcode';
            $http.get(url, { params: { PhoneNumber: 'PhoneNumber', application: '数你行', flag: 'NORMAL' } }).success(function (data) {
                timePromise = $interval(function () {
                    if (second <= 0) {
                        $interval.cancel(timePromise);
                        timePromise = undefined;

                        second = 60;
                        $scope.paracont = "重发验证码";
                        $scope.paraevent = false;
                    } else {
                        $scope.paraevent = true;
                        $scope.paracont = second + "秒后可重发";
                        second--;
                    }
                }, 1000, 100);
            }).error(function (data) {
                $scope.Security_tip = data.modelState.tips[0];
                $timeout(function () {
                    $scope.Security_tip = "";
                }, 3000);
            });
        };
    };
    //验证验证码是否正确，正确就跳到下一步
    $scope.Vertifition = function () {
        if ($scope.VertifitionCode == '') {
            $scope.Security_tip = '请填写验证码';
            $timeout(function () {
                $scope.Security_tip = "";
            }, 3000);
        }
        else {
            var url = allurl + 'api/accounts/confirmVcode';
            $http.get(url, { params: { phoneNumber: $scope.userinfos.phoneNumber, VertifitionCode: $scope.VertifitionCode } }).success(function (data) {
                if (data) {
                    $scope.Security_tip = '';
                    $(".security-step1").fadeOut();
                    setTimeout(function(){
                        $(".security-step2").fadeIn();
                    },300);
                }
                else {
                    $scope.Security_tip = '验证失败';
                    $timeout(function () {
                        $scope.Security_tip = "";
                    }, 3000);
                }
            });
        }
    };
    //密保问题
    $scope.securityquestion = ['你的父亲叫什么？', '你的母亲叫什么？'];
    $scope.SecurityQue_old = $scope.securityquestion[0];
    $scope.SecurityAns_old = '';
    $scope.SecurityQue = $scope.securityquestion[0];
    $scope.SecurityAns = '';
    //设置密保问题
    $scope.Security_tips="";
    $scope.Security_set = function () {
        var url = allurl + 'api/accounts/Security_set';
        $http.post(url,
            {
                SecurityQue_old: $scope.SecurityQue_old,
                SecurityAns_old: $scope.SecurityAns_old,
                SecurityQue: $scope.SecurityQue,
                SecurityAns: $scope.SecurityAns,
                VertifitionCode: $scope.VertifitionCode
            }, { headers: { 'Content-Type': 'application/json' } }).success(function (data) {
                if (data.status == '-1') {
                    $scope.Security_tips = '设置失败';
                    $timeout(function () {
                        $scope.Security_tips = "";
                    }, 3000);
                }
                else {
                    $scope.Security_tips = '设置成功';
                    $timeout(function () {
                        $location.path('/content');
                    }, 3000);
                    //$location.path('/content');
                }
            });
    };
});
//绑定三方页面控制器
numapp.controller('bindOtherController', function ($scope, $rootScope, $http, $location, localStorageService, $stateParams, $timeout, $interval, authService) {

    $rootScope.zhiyin_all = false;
    $scope.arer_codes = [{ area_code: 'CN', name: '中国大陆', name_en: 'China', code: '86' }, { area_code: 'HK', name: '中国香港', name_en: 'Hong Kong', code: '852' }
        , { area_code: 'MO', name: '中国澳门', name_en: 'Macau', code: '853' }, { area_code: 'TW', name: '中国台湾', name_en: 'Taiwan', code: '886' }
        , { area_code: 'US', name: '美国', name_en: 'United States', code: '1' }, { area_code: 'CA', name: '加拿大', name_en: 'Canada', code: '1' }
        , { area_code: 'FR', name: '法国', name_en: 'France', code: '33' }, { area_code: 'IT', name: '意大利', name_en: 'Italy', code: '39' }
        , { area_code: 'GB', name: '英国', name_en: 'United Kingdom', code: '44' }, { area_code: 'DE', name: '德国', name_en: 'Germany', code: '49' }
        , { area_code: 'MY', name: '马来西亚', name_en: 'Malaysia', code: '60' }, { area_code: 'ID', name: '印度尼西亚', name_en: 'Indonesia', code: '62' }
        , { area_code: 'SG', name: '新加坡', name_en: 'Singapore', code: '65' }, { area_code: 'TH', name: '泰国', name_en: 'Thailand', code: '66' }
        , { area_code: 'JP', name: '日本', name_en: 'Japan', code: '81' }, { area_code: 'KR', name: '韩国', name_en: 'South Korea', code: '82' }
        , { area_code: 'VN', name: '越南', name_en: 'Vietnam', code: '84' }, { area_code: 'IN', name: '印度', name_en: 'India', code: '91' }
        , { area_code: 'BN', name: '文莱', name_en: 'Brunei', code: '673' }, { area_code: 'AL', name: '阿尔巴尼亚', name_en: 'Albania', code: '355' }
        , { area_code: 'DZ', name: '阿尔及利亚', name_en: 'Algeria', code: '213' }, { area_code: 'AF', name: '阿富汗', name_en: 'Afghanistan', code: '93' }, { area_code: 'AR', name: '阿根廷', name_en: 'Argentina', code: '54' }
        , { area_code: 'AE', name: '阿拉伯 联合酋长国', name_en: 'United Arab Emirates', code: '971' }, { area_code: 'AW', name: '阿鲁巴', name_en: 'Aruba', code: '297' }
        , { area_code: 'OM', name: '阿曼', name_en: 'Oman', code: '968' }, { area_code: 'AZ', name: '阿塞拜疆', name_en: 'Azerbaijan', code: '994' }, { area_code: 'AC', name: '阿森松岛', name_en: 'Ascension Island', code: '247' }
        , { area_code: 'EG', name: '埃及', name_en: 'Egypt', code: '20' }, { area_code: 'ET', name: '埃塞俄比亚', name_en: 'Ethiopia', code: '251' }
        , { area_code: 'IE', name: '爱尔兰', name_en: 'Ireland', code: '353' }, { area_code: 'EE', name: '爱沙尼亚', name_en: 'Estonia', code: '372' }
        , { area_code: 'AD', name: '安道尔', name_en: 'Andorra', code: '376' }, { area_code: 'AO', name: '安哥拉', name_en: 'Angola', code: '244' }
        , { area_code: 'AI', name: '安圭拉', name_en: 'Anguilla', code: '1264' }, { area_code: 'AG', name: '安提瓜 和巴布达', name_en: 'Antigua and Barbuda', code: '1268' }
        , { area_code: 'AT', name: '奥地利', name_en: 'Austria', code: '43' }, { area_code: 'AU', name: '澳大利亚', name_en: 'Australia', code: '61' }
        , { area_code: 'BB', name: '巴巴多斯', name_en: 'Barbados', code: '1246' }, { area_code: 'PG', name: '巴布亚新几 内亚', name_en: 'Papua New Guinea', code: '675' }
        , { area_code: 'BS', name: '巴哈马', name_en: 'Bahamas', code: '1242' }, { area_code: 'PK', name: '巴基斯坦', name_en: 'Pakistan', code: '92' }
        , { area_code: 'PY', name: '巴拉圭', name_en: 'Paraguay', code: '595' }, { area_code: 'PS', name: '巴勒斯 坦领土', name_en: 'Palestinian Territory', code: '970' }
        , { area_code: 'BH', name: '巴林', name_en: 'Bahrain', code: '973' }, { area_code: 'PA', name: '巴拿马', name_en: 'Panama', code: '507' }
        , { area_code: 'BR', name: '巴西', name_en: 'Brazil', code: '55' }, { area_code: 'BY', name: '白俄罗斯', name_en: 'Belarus', code: '375' }, { area_code: 'BM', name: '百慕大群岛', name_en: 'Bermuda', code: '1441' }
        , { area_code: 'BG', name: '保加利亚', name_en: 'Bulgaria', code: '359' }, { area_code: 'BJ', name: '贝宁', name_en: 'Benin', code: '229' }
        , { area_code: 'BE', name: '比利时', name_en: 'Belgium', code: '32' }, { area_code: 'IS', name: '冰岛', name_en: 'Iceland', code: '354' }
        , { area_code: 'PR', name: '波多黎各', name_en: 'Puerto Rico', code: '1787' }, { area_code: 'PL', name: '波兰', name_en: 'Poland', code: '48' }
        , { area_code: 'BA', name: '波斯 尼亚和黑塞哥维那', name_en: 'Bosnia and Herzegovina', code: '387' }, { area_code: 'BO', name: '玻利维亚', name_en: 'Bolivia', code: '591' }
        , { area_code: 'BZ', name: '伯利兹', name_en: 'Belize', code: '501' }, { area_code: 'BW', name: '博茨瓦纳', name_en: 'Botswana', code: '267' }
        , { area_code: 'BQ', name: '博内尔岛，圣尤斯特歇斯和萨巴', name_en: 'Bonaire, Sint Eustatius and Saba', code: '599' }, { area_code: 'BT', name: '不丹', name_en: 'Bhutan', code: '975' }
        , { area_code: 'BF', name: '布基纳法索', name_en: 'Burkina Faso', code: '226' }, { area_code: 'BI', name: '布隆迪', name_en: 'Burundi', code: '257' }
        , { area_code: 'GQ', name: '赤道几内亚', name_en: 'Equatorial Guinea', code: '240' }, { area_code: 'DK', name: '丹麦', name_en: 'Denmark', code: '45' }
        , { area_code: 'TL', name: '东帝汶', name_en: 'East Timor', code: '670' }, { area_code: 'TG', name: '多哥', name_en: 'Togo', code: '228' }
        , { area_code: 'DM', name: '多米尼加', name_en: 'Dominica', code: '1767' }, { area_code: 'DO', name: '多明尼加共和国', name_en: 'Dominican Republic', code: '1809' }
        , { area_code: 'RU', name: '俄罗斯', name_en: 'Russia', code: '7' }, { area_code: 'EC', name: '厄瓜多尔', name_en: 'Ecuador', code: '593' }
        , { area_code: 'FO', name: '法罗群岛', name_en: 'Faroe Islands', code: '298' }, { area_code: 'PF', name: '法属波利尼 西亚', name_en: 'French Polynesia', code: '689' }
        , { area_code: 'GF', name: '法属圭亚那', name_en: 'French Guiana', code: '594' }, { area_code: 'PH', name: '菲律宾', name_en: 'Philippines', code: '63' }
        , { area_code: 'FJ', name: '斐济', name_en: 'Fiji', code: '679' }, { area_code: 'FI', name: '芬兰', name_en: 'Finland', code: '358' }
        , { area_code: 'GM', name: '冈比亚', name_en: 'Gambia', code: '220' }, { area_code: 'CG', name: '刚果共和国', name_en: 'Republic Of The Congo', code: '242' }
        , { area_code: 'CD', name: '刚果民主共和国', name_en: 'Democratic Republic of the Congo', code: '243' }, { area_code: 'CO', name: '哥伦比亚', name_en: 'Colombia', code: '57' }
        , { area_code: 'CR', name: '哥斯达黎加', name_en: 'Costa Rica', code: '506' }, { area_code: 'GD', name: '格林纳达', name_en: 'Grenada', code: '1473' }
        , { area_code: 'GL', name: '格陵兰岛', name_en: 'Greenland', code: '299' }, { area_code: 'GE', name: '格鲁吉亚', name_en: 'Georgia', code: '995' }
        , { area_code: 'CU', name: '古巴', name_en: 'Cuba', code: '53' }, { area_code: 'GP', name: '瓜德罗普岛', name_en: 'Guadeloupe', code: '590' }
        , { area_code: 'GT', name: '瓜地马拉', name_en: 'Guatemala', code: '502' }, { area_code: 'GU', name: '关岛', name_en: 'Guam', code: '1671' }
        , { area_code: 'GY', name: '圭亚那', name_en: 'Guyana', code: '592' }, { area_code: 'KZ', name: '哈萨克斯坦', name_en: 'Kazakhstan', code: '7' }
        , { area_code: 'HT', name: '海地', name_en: 'Haiti', code: '509' }, { area_code: 'NL', name: '荷兰', name_en: 'Netherlands', code: '31' }
        , { area_code: 'ME', name: '黑山', name_en: 'Montenegro', code: '382' }, { area_code: 'HN', name: '洪都拉斯', name_en: 'Honduras', code: '504' }
        , { area_code: 'KI', name: '基里巴斯', name_en: 'Kiribati', code: '686' }, { area_code: 'DJ', name: '吉布提', name_en: 'Djibouti', code: '253' }
        , { area_code: 'KG', name: '吉尔吉斯斯坦', name_en: 'Kyrgyzstan', code: '996' }, { area_code: 'GN', name: '几内亚', name_en: 'Guinea', code: '224' }
        , { area_code: 'GW', name: '几内亚比绍共和国', name_en: 'Guinea-Bissau', code: '245' }, { area_code: 'GH', name: '加纳', name_en: 'Ghana', code: '233' }
        , { area_code: 'GA', name: '加蓬', name_en: 'Gabon', code: '241' }, { area_code: 'KH', name: '柬埔寨', name_en: 'Cambodia', code: '855' }
        , { area_code: 'CZ', name: '捷克', name_en: 'Czech Republic', code: '420' }, { area_code: 'ZW', name: '津巴布韦', name_en: 'Zimbabwe', code: '263' }
        , { area_code: 'CM', name: '喀麦隆', name_en: 'Cameroon', code: '237' }, { area_code: 'QA', name: '卡塔尔', name_en: 'Qatar', code: '974' }
        , { area_code: 'KY', name: '开曼群岛', name_en: 'Cayman Islands', code: '1345' }, { area_code: 'CV', name: '开普', name_en: 'Cape Verde', code: '238' }
        , { area_code: 'KM', name: '科摩罗', name_en: 'Comoros', code: '269' }, { area_code: 'KW', name: '科威特', name_en: 'Kuwait', code: '965' }
        , { area_code: 'HR', name: '克罗地亚', name_en: 'Croatia', code: '385' }, { area_code: 'KE', name: '肯尼亚', name_en: 'Kenya', code: '254' }
        , { area_code: 'CK', name: '库克群岛', name_en: 'Cook Islands', code: '682' }, { area_code: 'CW', name: '库拉索', name_en: 'Curacao', code: '599' }
        , { area_code: 'LV', name: '拉脱维亚', name_en: 'Latvia', code: '371' }, { area_code: 'LS', name: '莱索托', name_en: 'Lesotho', code: '266' }
        , { area_code: 'LA', name: '老挝', name_en: 'Laos', code: '856' }, { area_code: 'LB', name: '黎巴嫩', name_en: 'Lebanon', code: '961' }
        , { area_code: 'LT', name: '立陶宛', name_en: 'Lithuania', code: '370' }, { area_code: 'LR', name: '利比里亚', name_en: 'Liberia', code: '231' }
        , { area_code: 'LY', name: '利比亚', name_en: 'Libya', code: '218' }, { area_code: 'LI', name: '列支敦士登', name_en: 'Liechtenstein', code: '423' }
        , { area_code: 'RE', name: '留尼汪', name_en: 'Réunion Island', code: '262' }, { area_code: 'LU', name: '卢森堡', name_en: 'Luxembourg', code: '352' }
        , { area_code: 'RW', name: '卢旺达', name_en: 'Rwanda', code: '250' }, { area_code: 'RO', name: '罗马尼亚', name_en: 'Romania', code: '40' }
        , { area_code: 'MG', name: '马达加斯加', name_en: 'Madagascar', code: '261' }, { area_code: 'MV', name: '马尔代夫', name_en: 'Maldives', code: '960' }
        , { area_code: 'MT', name: '马耳他', name_en: 'Malta', code: '356' }, { area_code: 'MW', name: '马拉维', name_en: 'Malawi', code: '265' }
        , { area_code: 'ML', name: '马里', name_en: 'Mali', code: '223' }, { area_code: 'MK', name: '马其顿', name_en: 'Macedonia', code: '389' }
        , { area_code: 'MQ', name: '马提尼克', name_en: 'Martinique', code: '596' }, { area_code: 'YT', name: '马约特', name_en: 'Mayotte', code: '269' }
        , { area_code: 'MU', name: '毛里求斯', name_en: 'Mauritius', code: '230' }, { area_code: 'MR', name: '毛里塔尼亚', name_en: 'Mauritania', code: '222' }
        , { area_code: 'AS', name: '美属萨摩亚', name_en: 'American Samoa', code: '1684' }, { area_code: 'VI', name: '美属维尔京群岛', name_en: 'Virgin Islands, US', code: '1284' }
        , { area_code: 'MN', name: '蒙古', name_en: 'Mongolia', code: '976' }, { area_code: 'MS', name: '蒙特塞拉特岛', name_en: 'Montserrat', code: '1664' }
        , { area_code: 'BD', name: '孟加拉国', name_en: 'Bangladesh', code: '880' }, { area_code: 'PE', name: '秘鲁', name_en: 'Peru', code: '51' }
        , { area_code: 'MM', name: '缅甸', name_en: 'Myanmar', code: '95' }, { area_code: 'MD', name: '摩尔多瓦', name_en: 'Moldova', code: '373' }
        , { area_code: 'MA', name: '摩洛哥', name_en: 'Morocco', code: '212' }, { area_code: 'MC', name: '摩纳哥', name_en: 'Monaco', code: '377' }
        , { area_code: 'MZ', name: '莫桑比克', name_en: 'Mozambique', code: '258' }, { area_code: 'MX', name: '墨西哥', name_en: 'Mexico', code: '52' }
        , { area_code: 'NA', name: '纳米比亚', name_en: 'Namibia', code: '264' }, { area_code: 'ZA', name: '南非', name_en: 'South Africa', code: '27' }
        , { area_code: 'SS', name: '南苏丹', name_en: 'South Sudan', code: '211' }, { area_code: 'NP', name: '尼泊尔', name_en: 'Nepal', code: '977' }
        , { area_code: 'NI', name: '尼加拉瓜', name_en: 'Nicaragua', code: '505' }, { area_code: 'NE', name: '尼日尔', name_en: 'Niger', code: '227' }
        , { area_code: 'NG', name: '尼日利亚', name_en: 'Nigeria', code: '234' }, { area_code: 'NO', name: '挪威', name_en: 'Norway', code: '47' }
        , { area_code: 'PW', name: '帕劳', name_en: 'Palau', code: '680' }, { area_code: 'PT', name: '葡萄牙', name_en: 'Portugal', code: '351' }
        , { area_code: 'SE', name: '瑞典', name_en: 'Sweden', code: '46' }, { area_code: 'CH', name: '瑞士', name_en: 'Switzerland', code: '41' }
        , { area_code: 'SV', name: '萨尔瓦多', name_en: 'El Salvador', code: '503' }, { area_code: 'WS', name: '萨摩亚', name_en: 'Samoa', code: '685' }
        , { area_code: 'RS', name: '塞尔维亚', name_en: 'Serbia', code: '381' }, { area_code: 'SL', name: '塞拉利昂', name_en: 'Sierra Leone', code: '232' }
        , { area_code: 'SN', name: '塞内加尔', name_en: 'Senegal', code: '221' }, { area_code: 'CY', name: '塞浦路斯', name_en: 'Cyprus', code: '357' }
        , { area_code: 'SC', name: '塞舌尔', name_en: 'Seychelles', code: '248' }, { area_code: 'SA', name: '沙特阿拉伯', name_en: 'Saudi Arabia', code: '966' }
        , { area_code: 'PM', name: '圣彼埃尔和密克隆岛', name_en: 'Saint Pierre and Miquelon', code: '508' }, { area_code: 'ST', name: '圣多美 和普林西比', name_en: 'Sao Tome and Principe', code: '239' }
        , { area_code: 'KN', name: '圣基 茨和尼维斯', name_en: 'Saint Kitts and Nevis', code: '1869' }, { area_code: 'LC', name: '圣露西亚', name_en: 'Saint Lucia', code: '1758' }
        , { area_code: 'SX', name: '圣马丁岛（荷兰部分）', name_en: 'Sint Maarten (Dutch Part)', code: '1721' }, { area_code: 'SM', name: '圣马力诺', name_en: 'San Marino', code: '378' }
        , { area_code: 'VC', name: '圣文森特和格林纳丁斯', name_en: 'Saint Vincent and The Grenadines', code: '1784' }, { area_code: 'LK', name: '斯里兰卡', name_en: 'Sri Lanka', code: '94' }
        , { area_code: 'SK', name: '斯洛伐克', name_en: 'Slovakia', code: '421' }, { area_code: 'SI', name: '斯洛文尼亚', name_en: 'Slovenia', code: '386' }
        , { area_code: 'SZ', name: '斯威士兰', name_en: 'Swaziland', code: '268' }, { area_code: 'SD', name: '苏丹', name_en: 'Sudan', code: '249' }
        , { area_code: 'SR', name: '苏里南', name_en: 'Suriname', code: '597' }, { area_code: 'SB', name: '所罗门群岛', name_en: 'Solomon Islands', code: '677' }
        , { area_code: 'SO', name: '索马里', name_en: 'Somalia', code: '252' }, { area_code: 'TJ', name: '塔吉克斯坦', name_en: 'Tajikistan', code: '992' }
        , { area_code: 'TZ', name: '坦桑尼亚', name_en: 'Tanzania', code: '255' }, { area_code: 'TO', name: '汤加', name_en: 'Tonga', code: '676' }
        , { area_code: 'TC', name: '特克斯和凯科斯群岛', name_en: 'Turks and Caicos Islands', code: '1649' }, { area_code: 'TT', name: '特立尼 达和多巴哥', name_en: 'Trinidad and Tobago', code: '1868' }
        , { area_code: 'TN', name: '突尼斯', name_en: 'Tunisia', code: '216' }, { area_code: 'TR', name: '土耳其', name_en: 'Turkey', code: '90' }
        , { area_code: 'TM', name: '土库曼斯坦', name_en: 'Turkmenistan', code: '993' }, { area_code: 'VU', name: '瓦努阿图', name_en: 'Vanuatu', code: '678' }
        , { area_code: 'VE', name: '委内瑞拉', name_en: 'Venezuela', code: '58' }, { area_code: 'UG', name: '乌干达', name_en: 'Uganda', code: '256' }
        , { area_code: 'UA', name: '乌克兰', name_en: 'Ukraine', code: '380' }, { area_code: 'UY', name: '乌拉圭', name_en: 'Uruguay', code: '598' }
        , { area_code: 'UZ', name: '乌兹别克斯坦', name_en: 'Uzbekistan', code: '998' }, { area_code: 'ES', name: '西班牙', name_en: 'Spain', code: '34' }
        , { area_code: 'GR', name: '希腊', name_en: 'Greece', code: '30' }, { area_code: 'CI', name: '象牙海岸', name_en: 'Ivory Coast', code: '225' }
        , { area_code: 'NC', name: '新喀里多尼亚', name_en: 'New Caledonia', code: '687' }, { area_code: 'NZ', name: '新西兰', name_en: 'New Zealand', code: '64' }
        , { area_code: 'HU', name: '匈牙利', name_en: 'Hungary', code: '36' }, { area_code: 'SY', name: '叙利亚', name_en: 'Syria', code: '963' }
        , { area_code: 'JM', name: '牙买加', name_en: 'Jamaica', code: '1876' }, { area_code: 'AM', name: '亚美尼亚', name_en: 'Armenia', code: '374' }
        , { area_code: 'YE', name: '也门', name_en: 'Yemen', code: '967' }, { area_code: 'IQ', name: '伊拉克', name_en: 'Iraq', code: '964' }
        , { area_code: 'IR', name: '伊朗', name_en: 'Iran', code: '98' }, { area_code: 'IL', name: '以色列', name_en: 'Israel', code: '972' }
        , { area_code: 'VG', name: '英 属处女群岛', name_en: 'Virgin Islands, British', code: '1340' }, { area_code: 'JO', name: '约旦', name_en: 'Jordan', code: '962' }
        , { area_code: 'ZM', name: '赞比亚', name_en: 'Zambia', code: '260' }, { area_code: 'TD', name: '乍得', name_en: 'Chad', code: '235' }
        , { area_code: 'GI', name: '直布罗陀', name_en: 'Gibraltar', code: '350' }, { area_code: 'CL', name: '智利', name_en: 'Chile', code: '56' }
        , { area_code: 'CF', name: '中 非共和国', name_en: 'Central African Republic', code: '236' }
    ];
    $scope.areaCodeInfo = {
        numcode: $scope.arer_codes[0].code
    }
    $scope.choice_areacode = function (x, $index) {
        $(".quhao-con ul li").eq($index).addClass("ch").siblings().removeClass("ch");
        $(".quhao-modal-bg").fadeOut();
        $(".quhao-con").animate({ "bottom": "-230px" }, 300);
        $scope.areaCodeInfo.numcode = x.code;
    }
    var sendDx = $('.sendDx');
    var YzMessage = $('#YzMessage');
    var bangding = $('.bangding');
    //绑定人生北斗账号
    $scope.goBind_rsbd = function () {
        bangding.css('display', 'block');
        sendDx.css('display', 'none')
    }
    //绑定发送的数据
    $scope.PhoneNumber = '';//手机号
    $scope.VertifitionCode = '';//验证码
    $scope.bind = {
        username: '',
        password: ''
    }
    $scope.Phonemessage = '';
    $scope.Yzmessage = '';
    $scope.bindMessage = '';

    //确认绑定发送的数据
    $scope.bind_sanfang = function () {
        //验证账号密码是否正确
        if (!$scope.bind.username) {
            $scope.bindMessage = '请先输入手机号';
            $timeout(function () {
                $scope.bindMessage = "";
            }, 3000);
        } else if (!$scope.bind.password) {
            $scope.bindMessage = '请输入密码';
            $timeout(function () {
                $scope.bindMessage = "";
            }, 3000);
        } else {
            var Areacode = $(".quhao .num").html();
            $scope.token = localStorageService.get('authorizationData').token;
           // console.log($scope.token);
            if (Areacode == "+86") {
                username = $scope.bind.username;
            }
            else {
                username = (Areacode + $scope.bind.username).replace('+', '');
            }
            //发送验证请求
            $http({
                method: 'post',
                url: allurl + 'api/accounts/checkauth?',
                data: { username: $scope.bind.username, password: $scope.bind.password },
                headers: { "Authorization": 'Bearer ' + $scope.token },
            }).success(function (req) {
                //console.log(req)
                if (req.status != 0) {
                    $scope.bindMessage = '账号密码错误';
                    $timeout(function () {
                        $scope.bindMessage = "";
                    }, 3000);
                } else {
                    //请求绑定数据
                    $http({
                        method: 'post',
                        url: allurl + 'api/accounts/binduser?',
                        data: { username: $scope.bind.username, password: $scope.bind.password, type: 'old' },
                        headers: { "Authorization": 'Bearer ' + $scope.token },
                    }).success(function (data) {
                       // console.log(data);
                        $scope.bindMessage = '已成功绑定手机';
                    
                        //保存用户信息
                        localStorageService.set('userinfo', { userinfo: data.response.userinfo });
                        var temp = localStorageService.get('authorizationData');
                        temp.token = data.response.access_token;
                        temp.userName = data.response.userinfo.userName;                        
                        localStorageService.set('authorizationData', temp);
                        authService.authentication.isAuth = true;
                        authService.authentication.userName = data.response.userinfo.userName;
                        authService.authentication.name = data.response.userinfo.name;
                        authService.authentication.headPicture = data.response.userinfo.headPicture;
                        $location.path('/content');
                    }).error(function () {
                        $scope.bindMessage = '绑定失败';
                        $timeout(function () {
                            $scope.bindMessage = "";
                        }, 3000);
                    })
                }
            }).error(function () {
                $scope.bindMessage = '绑定失败';
                $timeout(function () {
                    $scope.bindMessage = "";
                }, 3000);
            })
        }
    }


    //获取验证码
    $scope.paracont = "获取验证码";
    $scope.paraevent = false;
    var second = 60, timePromise = undefined;
    //发送验证码
    $scope.sendphonecode = function () {
        if ($scope.PhoneNumber != "") {//判断有没有输入手机号
            if ($scope.paracont == '获取验证码' || $scope.paracont == '重新获取') {//判断是否是正在获取的状态
                var url = allurl + 'api/accounts/PhoneVcode';
                var Areacode = $(".quhao .num").html();
                var PhoneNumber = (Areacode + $scope.PhoneNumber).replace('+', '');
                $http.get(url, { params: { PhoneNumber: PhoneNumber, application: '天天你知道' } }).success(function (data) {
                    sendDx.css('display', 'none');
                    YzMessage.css('display', 'block');
                    timePromise = $interval(function () {//定义定时器，每一秒执行一次
                        if (second <= 0) {//当小于0时，清除定时器，恢复默认值
                            $interval.cancel(timePromise);
                            timePromise = undefined;
                            second = 60;
                            $scope.paracont = "重新获取";
                            $scope.paraevent = false;
                        } else {//从60s开始每次减少1s，直到减少到0
                            $scope.paraevent = true;
                            $scope.paracont = second + "秒后重新获取";
                            second--;
                        }
                    }, 1000, 100);
                }).error(function (data) {
                    //                  console.log(data);
                    $scope.Phonemessage = '该手机已注册人生北斗账号，正在前往绑定人生北斗账户';
                    $timeout(function () {
                        $scope.Phonemessage = "";
                        sendDx.css('display','none')
                        bangding.css('display','block');
                        $scope.bind.username = $scope.PhoneNumber;
                    }, 3000);
                });
            };
        } else {
            $scope.Phonemessage = "请输入手机号码";
            $timeout(function () {
                $scope.Phonemessage = "";
            }, 3000);
        }
    };


    //验证验证码是否正确，正确就跳到下一步
    $scope.Vertifition = function () {
        //      console.log($scope.PhoneNumber);
        if ($scope.VertifitionCode == '') {
            $scope.Yzmessage = '请填写验证码';
            $timeout(function () {
                $scope.Yzmessage = "";
            }, 3000);
        }
        else {
            var url = allurl + 'api/accounts/confirmVcode';
            $http.get(url, { params: { phoneNumber: $scope.PhoneNumber, VertifitionCode: $scope.VertifitionCode } }).success(function (data) {
                if (data) {
                    $http({
                        method: 'post',
                        url: allurl + 'api/accounts/bindphone?',
                        data: { phoneNumber: $scope.PhoneNumber, VertifitionCode: $scope.VertifitionCode },
                        headers: { "Authorization": 'Bearer ' + $scope.token },
                    }).success(function (date) {
                        //                          console.log(date);
                        if (date.status == 0) {
                            $scope.Yzmessage = '绑定成功';
                            setTimeout(function () {
                                $location.path('/content');
                            }, 300);
                        } else {
                            $scope.bindMessage = '绑定失败';
                            $timeout(function () {
                                $scope.bindMessage = "";
                            }, 3000);
                        }
                    }).error(function () {
                        $scope.bindMessage = '绑定失败';
                        $timeout(function () {
                            $scope.bindMessage = "";
                        }, 3000);
                    })
                }
                else {
                    $scope.Yzmessage = '验证失败';
                    $timeout(function () {
                        $scope.Yzmessage = "";
                    }, 3000);
                }
            });
        }
    };

});
//topnav 欢迎（）-登录-注册
numapp.controller('appTopnavCtrl', function ($scope,$rootScope, $http, $location, authService,accessService, localStorageService, $state) {
    $scope.authentication = authService.authentication;
    $rootScope.appTitle = '养生音乐';
    //微信登录是否安装
    $rootScope.haswechat = haswechat; 
    
    //获取用户信息
    var getUserinfo = function () {
        // 请求数据时加载进度条
        $('#wexinToast').fadeIn(100);

        localStorageService.remove('userinfo');
        var useridUrl = allurl + "api/accounts/UserInfo";
        //请求用户信息
        $http.get(useridUrl).success(function (data) {
            console.log(data);
            /* 加载loading结束 */
            $('#wexinToast').fadeOut(100);

            if (data.status != '0') {
                $scope.loginmsg = true;
                $scope.logmessage = '请求失败';
            } else {
                //保存用户信息
                localStorageService.set('userinfo', { userinfo: data.response });
                $scope.loginmsg = true;
                authService.authentication.isAuth = true;
                authService.authentication.name = data.response.name;
                authService.authentication.headPicture = data.response.headPicture;
                authService.authentication.userName = data.response.userName;
                $rootScope.login_info = true;
                
                if( data.response.haschangeinfo == true ){
                    //主页跳转
                    var backhistory = localStorageService.get('backhistory');
                    if (backhistory) {
                        $location.path(backhistory.router);
                    }
                    else {
                        $location.path('/content');
                    }
                }else{                  
                    $location.path('/collectInfo');
                }                 
            }
        }).error(function () {
            $scope.loginmsg = true;
            $scope.logmessage = '请求失败';
            //          layer.msg('请求失败');
        });
    }

    //微信授权 登录事件  登录 登录
    $scope.wechatlogin = function () {
        Wechat.isInstalled(function (installed) {
            if (!installed) {
                alert("请先安装微信.");
                return false;
            }
            else {
                var scope = "snsapi_userinfo";
                Wechat.auth(scope, function (response) {
                    //alert(JSON.stringify(response));
                    // you may use response.code to get the access token.
                    //返回格式：{"code":"","state":"wechat","country":"","lang":""}

                    /* 加载loading */
                    $('#wexinToast').fadeIn(100);

                    var url = allurl + "api/accounts/quicklogin";
                    $http.post(url, { application: "YSYY", thirdparty: "Wechat", code: response.code }, { headers: { 'Content-Type': 'application/json' } }).success(function (data) {
                        // 成功的话，返回token ，格式与登录一样                        
                        localStorageService.set('authorizationData', { token: data.access_token, userName: '', refreshToken: "", useRefreshTokens: false });

                        /* 加载loading结束 */
                        $('#wexinToast').fadeOut(100);
                        getUserinfo();
                        $scope.loginmsg = true;
                        $scope.logmessage = "登录成功";
                        //$rootScope.arr = [1, 0, 0, 0, 0];
                        //          layer.msg('登录成功')
                        //手机登录的标志
                        $rootScope.loginBy_wechart = true;

                    }).error(function (data) {
                        $scope.loginmsg = true;
                        $scope.logmessage = err.error_description;
                        /* 加载loading结束 */
                        $('#wexinToast').fadeOut(100);
                        //用户错误提示框3秒后自动消失
                        $timeout(function () {
                            $scope.loginmsg = true;
                            $scope.logmessage = "";
                        }, 3000);
                    });
                }, function (reason) {
                    alert("Failed:获取授权失败" + reason);
                });
            }
        });
    };
    // //注销
    // $scope.logOut = function () {
    //     authService.logOut();
    //     //$scope.reload();
    //     $state.go("content", {}, { reload: true });
    // };
    //未登录情况下点击某个，登陆成功后回到哪个页面
    $scope.backhistory = function (Router) {
        $location.path('/loginRegister/login');
        localStorageService.set('backhistory', { router: Router });
    };

    //刷新
    $scope.reload = function () {
        window.location.reload();
    };
    //跳转
    $scope.redirectpage = function (page) {
        if (localStorageService.get('userinfo') && localStorageService.get('userinfo').userinfo) {
            $scope.token = localStorageService.get('authorizationData').token;
            $scope.target = page;
            accessService.weblink(page + 'templates/login_redirect.html?userName=' + $scope.userName + '&target=' + $scope.target + '&token=' + $scope.token);
        }
        else {
            accessService.weblink(page);
        }
    };
});
